// Copyright 2000-2021 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
package com.intellij.icons;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

import org.jetbrains.annotations.ApiStatus.ScheduledForRemoval;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public class AllIcons {
  private static @NotNull Icon load(@NotNull String path, long cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, AllIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class Actions {
    /** 16x16 */ public static final @NotNull Icon AddFile = load("actions/addFile.svg", 7984914808516043214L, 2);
    /** 16x16 */ public static final @NotNull Icon AddMulticaret = load("actions/AddMulticaret.svg", 3016061797824075751L, 2);
    /** 16x16 */ public static final @NotNull Icon AddToDictionary = load("actions/addToDictionary.svg", -1161870638152852017L, 2);
    /** 16x16 */ public static final @NotNull Icon Annotate = load("actions/annotate.svg", 2411839449499269073L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowCollapse = load("actions/arrowCollapse.svg", -4112985651301772061L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowExpand = load("actions/arrowExpand.svg", -314220057472324565L, 2);
    /** 16x16 */ public static final @NotNull Icon Back = load("actions/back.svg", -6405971121093086577L, 2);
    /** 16x16 */ public static final @NotNull Icon BuildAutoReloadChanges = load("actions/buildAutoReloadChanges.svg", 9096918491329386560L, 2);
    /** 16x16 */ public static final @NotNull Icon BuildLoadChanges = load("actions/buildLoadChanges.svg", -6035384827921181917L, 2);
    /** 16x16 */ public static final @NotNull Icon Cancel = load("actions/cancel.svg", 6991396266556342023L, 2);
    /** 16x16 */ public static final @NotNull Icon ChangeView = load("actions/changeView.svg", 1561844647837320745L, 2);
    /** 12x12 */ public static final @NotNull Icon Checked = load("actions/checked.svg", -850292772288040751L, 0);
    /** 12x12 */ public static final @NotNull Icon Checked_selected = load("actions/checked_selected.svg", -8635695422798208954L, 0);
    /** 16x16 */ public static final @NotNull Icon CheckMulticaret = load("actions/CheckMulticaret.svg", 510267243210567751L, 2);
    /** 16x16 */ public static final @NotNull Icon CheckOut = load("actions/checkOut.svg", -4402223841666182389L, 2);
    /** 16x16 */ public static final @NotNull Icon Close = load("actions/close.svg", -6616178734981279589L, 0);
    /** 16x16 */ public static final @NotNull Icon CloseDarkGrey = load("actions/closeDarkGrey.svg", 6297550374655427906L, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHovered = load("actions/closeHovered.svg", 2303292161060464923L, 0);
    /** 16x16 */ public static final @NotNull Icon Collapseall = load("actions/collapseall.svg", -6152503237529490711L, 2);
    /** 16x16 */ public static final @NotNull Icon Colors = load("actions/colors.svg", -536650651638944804L, 2);
    /** 16x16 */ public static final @NotNull Icon Commit = load("actions/commit.svg", -4295685855649837573L, 2);
    /** 16x16 */ public static final @NotNull Icon Compile = load("actions/compile.svg", -9161290335424851466L, 2);
    /** 16x16 */ public static final @NotNull Icon Copy = load("actions/copy.svg", 5880572782139886783L, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTag = load("actions/deleteTag.svg", 3856194407687204233L, 2);
    /** 16x16 */ public static final @NotNull Icon DeleteTagHover = load("actions/deleteTagHover.svg", -137680398225735526L, 2);
    /** 16x16 */ public static final @NotNull Icon DiagramDiff = load("actions/diagramDiff.svg", -9055105415171527444L, 2);
    /** 16x16 */ public static final @NotNull Icon Diff = load("actions/diff.svg", 1316947822971106328L, 2);
    /** 16x17 */ public static final @NotNull Icon DiffWithClipboard = load("actions/diffWithClipboard.svg", 1381092480195746024L, 2);
    /** 16x16 */ public static final @NotNull Icon Download = load("actions/download.svg", 8496933392052873064L, 2);
    /** 16x16 */ public static final @NotNull Icon Dump = load("actions/dump.svg", -5377159680103858555L, 2);
    /** 16x16 */ public static final @NotNull Icon DynamicUsages = load("actions/dynamicUsages.svg", 6709869732874232585L, 2);
    /** 16x16 */ public static final @NotNull Icon Edit = load("actions/edit.svg", 3784391342607294814L, 2);
    /** 16x16 */ public static final @NotNull Icon EditScheme = load("actions/editScheme.svg", -1899642451569419504L, 2);
    /** 16x16 */ public static final @NotNull Icon EditSource = load("actions/editSource.svg", 2761243450231118558L, 2);
    /** 16x16 */ public static final @NotNull Icon Execute = load("actions/execute.svg", -5817717512480232461L, 2);
    /** 16x16 */ public static final @NotNull Icon Exit = load("actions/exit.svg", 8212054938079343216L, 2);
    /** 16x16 */ public static final @NotNull Icon Expandall = load("actions/expandall.svg", -2754971017615820099L, 2);
    /** 16x16 */ public static final @NotNull Icon Find = load("actions/find.svg", -4525015235497207348L, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatches = load("actions/findAndShowNextMatches.svg", -4922893467114819341L, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowNextMatchesSmall = load("actions/findAndShowNextMatchesSmall.svg", -1470745934775229364L, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatches = load("actions/findAndShowPrevMatches.svg", 3620172031565339760L, 2);
    /** 16x16 */ public static final @NotNull Icon FindAndShowPrevMatchesSmall = load("actions/findAndShowPrevMatchesSmall.svg", -271601784023493829L, 2);
    /** 16x16 */ public static final @NotNull Icon FindBackward = load("actions/findBackward.svg", 2744461964983320362L, 2);
    /** 16x16 */ public static final @NotNull Icon FindEntireFile = load("actions/findEntireFile.svg", -4401011849588680282L, 2);
    /** 16x16 */ public static final @NotNull Icon FindForward = load("actions/findForward.svg", -5225309410683296112L, 2);
    /** 16x16 */ public static final @NotNull Icon ForceRefresh = load("actions/forceRefresh.svg", -2603815333828842712L, 2);
    /** 16x16 */ public static final @NotNull Icon Forward = load("actions/forward.svg", -8496055650668368897L, 2);
    /** 16x16 */ public static final @NotNull Icon GC = load("actions/gc.svg", 2310894097111263476L, 2);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("actions/generatedFolder.svg", -5191076912107593799L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupBy = load("actions/groupBy.svg", 6333347863831229586L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByClass = load("actions/GroupByClass.svg", -408271911604242805L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByFile = load("actions/GroupByFile.svg", -8925191829803580754L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByMethod = load("actions/groupByMethod.svg", -7023032086156452380L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModule = load("actions/GroupByModule.svg", -6873539270975237092L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByModuleGroup = load("actions/GroupByModuleGroup.svg", -4480655882357875018L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPackage = load("actions/GroupByPackage.svg", 8823273980455107865L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByPrefix = load("actions/GroupByPrefix.svg", -5235272287104375203L, 2);
    /** 16x16 */ public static final @NotNull Icon GroupByTestProduction = load("actions/groupByTestProduction.svg", -3548901473124082276L, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("actions/help.svg", 1167901147521263400L, 2);
    /** 16x16 */ public static final @NotNull Icon Highlighting = load("actions/highlighting.svg", -4682232993631464799L, 2);
    /** 9x5 */ public static final @NotNull Icon InlayDropTriangle = load("actions/inlayDropTriangle.svg", 5239775889880985088L, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGear = load("actions/inlayGear.svg", -5024978018077265079L, 0);
    /** 12x12 */ public static final @NotNull Icon InlayGlobe = load("actions/inlayGlobe.svg", -6331499194226925072L, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInComments = load("actions/inlayRenameInComments.svg", -4724489833873380159L, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInCommentsActive = load("actions/inlayRenameInCommentsActive.svg", -6480961297094481884L, 2);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFiles = load("actions/inlayRenameInNoCodeFiles.svg", -3218524436528651781L, 0);
    /** 12x12 */ public static final @NotNull Icon InlayRenameInNoCodeFilesActive = load("actions/inlayRenameInNoCodeFilesActive.svg", 8321867833090256028L, 2);
    /** 16x16 */ public static final @NotNull Icon InSelection = load("actions/inSelection.svg", -7036799620385307166L, 2);
    /** 16x16 */ public static final @NotNull Icon Install = load("actions/install.svg", 5617053762422753946L, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulb = load("actions/intentionBulb.svg", -7333724302003711411L, 2);
    /** 16x16 */ public static final @NotNull Icon IntentionBulbGrey = load("actions/intentionBulbGrey.svg", 1803593143135358482L, 2);
    /** 16x16 */ public static final @NotNull Icon Lightning = load("actions/lightning.svg", 8917266508104397185L, 2);
    /** 16x16 */ public static final @NotNull Icon ListChanges = load("actions/listChanges.svg", -5626127906417310660L, 2);
    /** 16x16 */ public static final @NotNull Icon ListFiles = load("actions/listFiles.svg", -3520596359197411561L, 2);
    /** 16x16 */ public static final @NotNull Icon MatchCase = load("actions/matchCase.svg", 9054777042130820610L, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseHovered = load("actions/matchCaseHovered.svg", 5748882356978813595L, 0);
    /** 16x16 */ public static final @NotNull Icon MatchCaseSelected = load("actions/matchCaseSelected.svg", -7547907995386961262L, 0);
    /** 16x16 */ public static final @NotNull Icon MenuCut = load("actions/menu-cut.svg", 7082317069087776239L, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_cut = MenuCut;
    /** 16x16 */ public static final @NotNull Icon MenuOpen = load("actions/menu-open.svg", -5117384156578186300L, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_open = MenuOpen;
    /** 16x16 */ public static final @NotNull Icon MenuPaste = load("actions/menu-paste.svg", -5354040787565862258L, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_paste = MenuPaste;
    /** 16x16 */ public static final @NotNull Icon MenuSaveall = load("actions/menu-saveall.svg", -7291542891254627160L, 2);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Menu_saveall = MenuSaveall;
    /** 16x16 */ public static final @NotNull Icon ModuleDirectory = load("actions/moduleDirectory.svg", 6900913555237882057L, 2);
    /** 16x16 */ public static final @NotNull Icon More = load("actions/more.svg", -6566091381546036573L, 2);
    /** 16x16 */ public static final @NotNull Icon MoreHorizontal = load("actions/moreHorizontal.svg", 6866019441413917499L, 2);
    /** 12x12 */ public static final @NotNull Icon MoveToButton = load("actions/move-to-button.svg", 4949724300351635848L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveDown = load("actions/moveDown.svg", 1973778598382409028L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveTo2 = load("actions/MoveTo2.svg", -5481228720569107175L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomLeft = load("actions/moveToBottomLeft.svg", -7351618427641231208L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToBottomRight = load("actions/moveToBottomRight.svg", -4078582379342254561L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftBottom = load("actions/moveToLeftBottom.svg", -133851234638590217L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToLeftTop = load("actions/moveToLeftTop.svg", 1791771730652861497L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightBottom = load("actions/moveToRightBottom.svg", -8051640990976893577L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToRightTop = load("actions/moveToRightTop.svg", -2161787090298967484L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopLeft = load("actions/moveToTopLeft.svg", -7813069239448476432L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToTopRight = load("actions/moveToTopRight.svg", -8655965712340817349L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveToWindow = load("actions/moveToWindow.svg", -2604926653482878006L, 2);
    /** 16x16 */ public static final @NotNull Icon MoveUp = load("actions/moveUp.svg", 5623370799774292835L, 2);
    /** 16x16 */ public static final @NotNull Icon New = load("actions/new.svg", -6881902932362262478L, 2);
    /** 16x16 */ public static final @NotNull Icon NewFolder = load("actions/newFolder.svg", 8696042158556773736L, 2);
    /** 16x16 */ public static final @NotNull Icon NextOccurence = load("actions/nextOccurence.svg", 7398690832777737341L, 2);
    /** 16x16 */ public static final @NotNull Icon OfflineMode = load("actions/offlineMode.svg", -8944449443549286999L, 2);
    /** 16x16 */ public static final @NotNull Icon OpenNewTab = load("actions/openNewTab.svg", 5987292287913520793L, 2);
    /** 16x16 */ public static final @NotNull Icon Pause = load("actions/pause.svg", 4481822566874657370L, 2);
    /** 16x16 */ public static final @NotNull Icon PinTab = load("actions/pinTab.svg", -7384966561127703311L, 0);
    /** 16x16 */ public static final @NotNull Icon Play_back = load("actions/play_back.svg", 3664166182735676942L, 2);
    /** 16x16 */ public static final @NotNull Icon Play_first = load("actions/play_first.svg", -4107353121247643919L, 2);
    /** 16x16 */ public static final @NotNull Icon Play_forward = load("actions/play_forward.svg", 3248534927269425065L, 2);
    /** 16x16 */ public static final @NotNull Icon Play_last = load("actions/play_last.svg", 3546959391472559402L, 2);
    /** 16x16 */ public static final @NotNull Icon PopFrame = load("actions/popFrame.svg", -762287292094383878L, 2);
    /** 16x16 */ public static final @NotNull Icon PreserveCase = load("actions/preserveCase.svg", 8573179654028599568L, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseHover = load("actions/preserveCaseHover.svg", -7873879922894236188L, 0);
    /** 16x16 */ public static final @NotNull Icon PreserveCaseSelected = load("actions/preserveCaseSelected.svg", 1484856878712406188L, 0);
    /** 16x16 */ public static final @NotNull Icon PrettyPrint = load("actions/prettyPrint.svg", 3037924596486038339L, 2);
    /** 16x16 */ public static final @NotNull Icon Preview = load("actions/preview.svg", 4608195821660751629L, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetails = load("actions/previewDetails.svg", 2734452482165789808L, 2);
    /** 16x16 */ public static final @NotNull Icon PreviewDetailsVertically = load("actions/previewDetailsVertically.svg", -7177270858110918178L, 2);
    /** 16x16 */ public static final @NotNull Icon PreviousOccurence = load("actions/previousOccurence.svg", 5930860363394108322L, 2);
    /** 16x16 */ public static final @NotNull Icon Profile = load("actions/profile.svg", 3673583823792656751L, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileBlue = load("actions/profileBlue.svg", 8597913597827674677L, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileCPU = load("actions/profileCPU.svg", -5601582371827564284L, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileMemory = load("actions/profileMemory.svg", -5334957097719274707L, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileRed = load("actions/profileRed.svg", 8182615076473201348L, 2);
    /** 16x16 */ public static final @NotNull Icon ProfileYellow = load("actions/profileYellow.svg", -6354088785640800915L, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectDirectory = load("actions/projectDirectory.svg", -5720477564296433188L, 2);
    /** 16x16 */ public static final @NotNull Icon Properties = load("actions/properties.svg", -7026787948782900035L, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixBulb = load("actions/quickfixBulb.svg", -2332654081984500070L, 2);
    /** 16x16 */ public static final @NotNull Icon QuickfixOffBulb = load("actions/quickfixOffBulb.svg", -236992234584797184L, 2);
    /** 16x16 */ public static final @NotNull Icon RealIntentionBulb = load("actions/realIntentionBulb.svg", 3919763048998659327L, 2);
    /** 16x16 */ public static final @NotNull Icon Redo = load("actions/redo.svg", 1045741788195557243L, 2);
    /** 16x16 */ public static final @NotNull Icon RefactoringBulb = load("actions/refactoringBulb.svg", -5091889220094689222L, 2);
    /** 16x16 */ public static final @NotNull Icon Refresh = load("actions/refresh.svg", 3684678467831211680L, 2);
    /** 16x16 */ public static final @NotNull Icon Regex = load("actions/regex.svg", 562185473743494876L, 0);
    /** 16x16 */ public static final @NotNull Icon RegexHovered = load("actions/regexHovered.svg", -174605473469971189L, 0);
    /** 16x16 */ public static final @NotNull Icon RegexSelected = load("actions/regexSelected.svg", 8460779813092491609L, 0);
    /** 16x16 */ public static final @NotNull Icon RemoveMulticaret = load("actions/RemoveMulticaret.svg", 7758173913700639872L, 2);
    /** 16x16 */ public static final @NotNull Icon Replace = load("actions/replace.svg", 8830227102843447963L, 2);
    /** 16x16 */ public static final @NotNull Icon Rerun = load("actions/rerun.svg", 6912918577038263613L, 2);
    /** 16x16 */ public static final @NotNull Icon Restart = load("actions/restart.svg", 6439965075527875378L, 2);
    /** 16x16 */ public static final @NotNull Icon RestartDebugger = load("actions/restartDebugger.svg", 293295970047371835L, 2);
    /** 16x16 */ public static final @NotNull Icon RestartFrame = load("actions/restartFrame.svg", -3301544669148389032L, 2);
    /** 16x16 */ public static final @NotNull Icon Resume = load("actions/resume.svg", -5198518845715980010L, 2);
    /** 16x16 */ public static final @NotNull Icon Rollback = load("actions/rollback.svg", -9049625667078423981L, 2);
    /** 16x16 */ public static final @NotNull Icon Run_anything = load("actions/run_anything.svg", 7141882813095171625L, 2);
    /** 16x16 */ public static final @NotNull Icon RunAll = load("actions/runAll.svg", 6939107003275357071L, 2);
    /** 16x16 */ public static final @NotNull Icon RunToCursor = load("actions/runToCursor.svg", 4556706428436111895L, 2);
    /** 16x16 */ public static final @NotNull Icon Scratch = load("actions/scratch.svg", -6190037652534942854L, 2);
    /** 16x16 */ public static final @NotNull Icon Search = load("actions/search.svg", -8265761537102566526L, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLine = load("actions/searchNewLine.svg", -2748922968166065002L, 0);
    /** 16x16 */ public static final @NotNull Icon SearchNewLineHover = load("actions/searchNewLineHover.svg", 3935462204234254303L, 0);
    /** 16x16 */ public static final @NotNull Icon SearchWithHistory = load("actions/searchWithHistory.svg", 6494275760771938686L, 0);
    /** 16x16 */ public static final @NotNull Icon Selectall = load("actions/selectall.svg", -2823561186427545788L, 2);
    /** 16x16 */ public static final @NotNull Icon SetDefault = load("actions/setDefault.svg", 8821232559000561285L, 2);
    /** 14x14 */ public static final @NotNull Icon Share = load("actions/share.png", 0L, 1);
    /** 16x16 */ public static final @NotNull Icon ShortcutFilter = load("actions/shortcutFilter.svg", 641496855139422232L, 2);
    /** 16x16 */ public static final @NotNull Icon Show = load("actions/show.svg", -3850535163032244706L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowAsTree = load("actions/showAsTree.svg", -4312712479707975466L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCode = load("actions/showCode.svg", -321151509393129385L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowHiddens = load("actions/showHiddens.svg", 5405762975450183833L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowImportStatements = load("actions/showImportStatements.svg", 3081206357379697176L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowReadAccess = load("actions/showReadAccess.svg", -6567939049540360493L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWriteAccess = load("actions/showWriteAccess.svg", -2794092168612354025L, 2);
    /** 16x16 */ public static final @NotNull Icon SplitHorizontally = load("actions/splitHorizontally.svg", 3802259626935530144L, 2);
    /** 16x16 */ public static final @NotNull Icon SplitVertically = load("actions/splitVertically.svg", 3668512535930644633L, 2);
    /** 16x16 */ public static final @NotNull Icon StartDebugger = load("actions/startDebugger.svg", 4931632848170603102L, 2);
    /** 16x16 */ public static final @NotNull Icon StartMemoryProfile = load("actions/startMemoryProfile.svg", 4161911759878148370L, 2);
    /** 16x16 */ public static final @NotNull Icon StepOut = load("actions/stepOut.svg", -7540114256156938879L, 2);
    /** 16x16 */ public static final @NotNull Icon StepOutCodeBlock = load("actions/stepOutCodeBlock.svg", -2045566543396417691L, 2);
    /** 16x16 */ public static final @NotNull Icon StopRefresh = load("actions/stopRefresh.svg", 4659367987859521163L, 2);
    /** 16x16 */ public static final @NotNull Icon Stub = load("actions/stub.svg", -3872175430316079492L, 2);
    /** 16x16 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("actions/suggestedRefactoringBulb.svg", 7884302521095903041L, 2);
    /** 16x16 */ public static final @NotNull Icon Suspend = load("actions/suspend.svg", 2872060203403593956L, 2);
    /** 16x16 */ public static final @NotNull Icon SwapPanels = load("actions/swapPanels.svg", -3202254393248358949L, 2);
    /** 16x16 */ public static final @NotNull Icon SynchronizeScrolling = load("actions/synchronizeScrolling.svg", -6157390299069771867L, 2);
    /** 16x16 */ public static final @NotNull Icon SyncPanels = load("actions/syncPanels.svg", -1667265586414499808L, 2);
    /** 16x16 */ public static final @NotNull Icon ToggleSoftWrap = load("actions/toggleSoftWrap.svg", 6810163925098617431L, 2);
    /** 16x16 */ public static final @NotNull Icon TraceInto = load("actions/traceInto.svg", 3750363304841665695L, 2);
    /** 16x16 */ public static final @NotNull Icon TraceOver = load("actions/traceOver.svg", -7833316620830774644L, 2);
    /** 16x16 */ public static final @NotNull Icon Undo = load("actions/undo.svg", -265073479075046098L, 2);
    /** 16x16 */ public static final @NotNull Icon Uninstall = load("actions/uninstall.svg", -4741321437695061533L, 2);
    /** 16x16 */ public static final @NotNull Icon Unselectall = load("actions/unselectall.svg", 2849923581216019129L, 2);
    /** 14x14 */ public static final @NotNull Icon Unshare = load("actions/unshare.png", 0L, 1);
    /** 16x16 */ public static final @NotNull Icon Upload = load("actions/upload.svg", -6437860926384115299L, 2);
    /** 16x16 */ public static final @NotNull Icon Words = load("actions/words.svg", 2783987319942337956L, 0);
    /** 16x16 */ public static final @NotNull Icon WordsHovered = load("actions/wordsHovered.svg", -4436654002180135792L, 0);
    /** 16x16 */ public static final @NotNull Icon WordsSelected = load("actions/wordsSelected.svg", 4191017486060809202L, 0);

    /** @deprecated to be removed in IDEA 2021.1 (use expandable text field instead, see https://jetbrains.design/intellij/controls/built_in_button/) */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2021.1")
    public static final @NotNull Icon ShowViewer = load("actions/showViewer.png", 0L, 0);
  }

  public static final class Chooser {
    /** 16x16 */ public static final @NotNull Icon Bottom = load("chooser/bottom.svg", 6664727245879721100L, 2);
    /** 16x16 */ public static final @NotNull Icon Left = load("chooser/left.svg", 2122351716281268790L, 2);
    /** 16x16 */ public static final @NotNull Icon Right = load("chooser/right.svg", 6401789581081539727L, 2);
    /** 16x16 */ public static final @NotNull Icon Top = load("chooser/top.svg", 1496964123673472306L, 2);
  }

  public static final class CodeStyle {
    /** 16x16 */ public static final @NotNull Icon AddNewSectionRule = load("codeStyle/AddNewSectionRule.svg", -55624430787031767L, 2);
  }

  public static final class CodeWithMe {
    /** 16x16 */ public static final @NotNull Icon CwmAccess = load("codeWithMe/cwmAccess.svg", 2531629477866895418L, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOff = load("codeWithMe/cwmAccessDotOff.svg", -2379553895685568006L, 2);
    /** 12x16 */ public static final @NotNull Icon CwmAccessDotOn = load("codeWithMe/cwmAccessDotOn.svg", 1000190684116468151L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOff = load("codeWithMe/cwmAccessOff.svg", 8999617502874285189L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmAccessOn = load("codeWithMe/cwmAccessOn.svg", -1839977825473612968L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOff = load("codeWithMe/cwmCamOff.svg", -4928711069310638482L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmCamOn = load("codeWithMe/cwmCamOn.svg", 148761348052178460L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmDisableCall = load("codeWithMe/cwmDisableCall.svg", 9178372626561081192L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmEnableCall = load("codeWithMe/cwmEnableCall.svg", 5559673456771058355L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollow = load("codeWithMe/cwmFollow.svg", -6223313608975028972L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFollowMe = load("codeWithMe/cwmFollowMe.svg", 6668210509462134204L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmForceFollowMe = load("codeWithMe/cwmForceFollowMe.svg", -4104904633266820082L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmFullSync = load("codeWithMe/cwmFullSync.svg", -2210966599752283162L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmInvite = load("codeWithMe/cwmInvite.svg", 1046570047968548935L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJoin = load("codeWithMe/cwmJoin.svg", -2994202575731080278L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmJump = load("codeWithMe/cwmJump.svg", 2381248441064602383L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmKick = load("codeWithMe/cwmKick.svg", 2712906681293478189L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmLeaveCall = load("codeWithMe/cwmLeaveCall.svg", 6202238458366536454L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmMicOff = load("codeWithMe/cwmMicOff.svg", 6797230835563078589L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmMicOn = load("codeWithMe/cwmMicOn.svg", 2998597277254769211L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionEdit = load("codeWithMe/cwmPermissionEdit.svg", 5905686597847340239L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissions = load("codeWithMe/cwmPermissions.svg", -2006616855776238912L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmPermissionView = load("codeWithMe/cwmPermissionView.svg", 9138074844400158078L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmShared = load("codeWithMe/cwmShared.svg", 548821871765212397L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOff = load("codeWithMe/cwmScreenOff.svg", -476175803014967160L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmScreenOn = load("codeWithMe/cwmScreenOn.svg", -3537464376874600357L, 2);
    /** 16x16 */ public static final @NotNull Icon CwmTerminate = load("codeWithMe/cwmTerminate.svg", 2019277118291534216L, 2);
    /** 16x16 */ public static final @NotNull Icon Users = load("codeWithMe/users.svg", 679237194319153354L, 2);
  }

  public static final class Debugger {
    /** 16x16 */ public static final @NotNull Icon AddToWatch = load("debugger/addToWatch.svg", -6351347499396602123L, 2);
    /** 16x16 */ public static final @NotNull Icon AttachToProcess = load("debugger/attachToProcess.svg", -2177634035436873583L, 2);
    /** 16x16 */ public static final @NotNull Icon ClassLevelWatch = load("debugger/classLevelWatch.svg", -5890180211475556116L, 2);
    /** 16x16 */ public static final @NotNull Icon Console = load("debugger/console.svg", -5803233488332261187L, 2);
    /** 16x16 */ public static final @NotNull Icon Db_array = load("debugger/db_array.svg", 1261731858559028302L, 2);
    /** 16x16 */ public static final @NotNull Icon Db_db_object = load("debugger/db_db_object.svg", -399105286184107976L, 0);
    /** 12x12 */ public static final @NotNull Icon Db_dep_field_breakpoint = load("debugger/db_dep_field_breakpoint.svg", -8480383406381075934L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_line_breakpoint = load("debugger/db_dep_line_breakpoint.svg", -1749814444532972478L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_dep_method_breakpoint = load("debugger/db_dep_method_breakpoint.svg", 6021723405813415175L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_breakpoint = load("debugger/db_disabled_breakpoint.svg", 8765137682912503724L, 2);
    /** 16x16 */ public static final @NotNull Icon Db_disabled_breakpoint_process = load("debugger/db_disabled_breakpoint_process.svg", -8761892945966016750L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_exception_breakpoint = load("debugger/db_disabled_exception_breakpoint.svg", -2750605841242039984L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_field_breakpoint = load("debugger/db_disabled_field_breakpoint.svg", 8218057555375311490L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_disabled_method_breakpoint = load("debugger/db_disabled_method_breakpoint.svg", 1767603760783213092L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_exception_breakpoint = load("debugger/db_exception_breakpoint.svg", -1589334049690011172L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_field_breakpoint = load("debugger/db_field_breakpoint.svg", 8298486087406722092L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_invalid_breakpoint = load("debugger/db_invalid_breakpoint.svg", 7387379725901750007L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_method_breakpoint = load("debugger/db_method_breakpoint.svg", 2390370643515341531L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_breakpoint = load("debugger/db_muted_breakpoint.svg", -6472299668576973818L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_field_breakpoint = load("debugger/db_muted_dep_field_breakpoint.svg", -8360941647298164338L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_line_breakpoint = load("debugger/db_muted_dep_line_breakpoint.svg", -4528646805109679966L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_dep_method_breakpoint = load("debugger/db_muted_dep_method_breakpoint.svg", -2073477886479474360L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_breakpoint = load("debugger/db_muted_disabled_breakpoint.svg", 8804017205079747803L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_field_breakpoint = load("debugger/db_muted_disabled_field_breakpoint.svg", -5276114373858561534L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_disabled_method_breakpoint = load("debugger/db_muted_disabled_method_breakpoint.svg", 7609902754948455212L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_field_breakpoint = load("debugger/db_muted_field_breakpoint.svg", 1486731412114900612L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_muted_method_breakpoint = load("debugger/db_muted_method_breakpoint.svg", 5002592275618613317L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_breakpoint = load("debugger/db_no_suspend_breakpoint.svg", -8941264822351967257L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_field_breakpoint = load("debugger/db_no_suspend_field_breakpoint.svg", -8074477492105851559L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_no_suspend_method_breakpoint = load("debugger/db_no_suspend_method_breakpoint.svg", -3160753226563846978L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_obsolete = load("debugger/db_obsolete.svg", -8519008864048018079L, 2);
    /** 16x16 */ public static final @NotNull Icon Db_primitive = load("debugger/db_primitive.svg", -1805121691082683948L, 0);
    /** 12x12 */ public static final @NotNull Icon Db_set_breakpoint = load("debugger/db_set_breakpoint.svg", -4116771947488844392L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_breakpoint = load("debugger/db_verified_breakpoint.svg", 2935753890522011066L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_field_breakpoint = load("debugger/db_verified_field_breakpoint.svg", -7952349423105872303L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_method_breakpoint = load("debugger/db_verified_method_breakpoint.svg", -128076671671832066L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_breakpoint = load("debugger/db_verified_no_suspend_breakpoint.svg", -5327792105243251760L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_field_breakpoint = load("debugger/db_verified_no_suspend_field_breakpoint.svg", -725892213855838552L, 2);
    /** 12x12 */ public static final @NotNull Icon Db_verified_no_suspend_method_breakpoint = load("debugger/db_verified_no_suspend_method_breakpoint.svg", 7827553709076444324L, 2);
    /** 16x16 */ public static final @NotNull Icon Db_watch = load("debugger/db_watch.svg", 4848803543148844055L, 0);
    /** 16x16 */ public static final @NotNull Icon EvaluateExpression = load("debugger/evaluateExpression.svg", -945596011791027563L, 2);
    /** 16x16 */ public static final @NotNull Icon EvaluationResult = load("debugger/evaluationResult.svg", 3716022392486077837L, 2);
    /** 16x16 */ public static final @NotNull Icon Frame = load("debugger/frame.svg", -3123803875821829694L, 2);
    /** 16x16 */ public static final @NotNull Icon KillProcess = load("debugger/killProcess.svg", -9001664792184277860L, 2);
    /** 12x12 */ public static final @NotNull Icon LambdaBreakpoint = load("debugger/LambdaBreakpoint.svg", -2338289664142846478L, 2);
    /** 12x12 */ public static final @NotNull Icon MultipleBreakpoints = load("debugger/MultipleBreakpoints.svg", 5752908983001717407L, 2);
    /** 16x16 */ public static final @NotNull Icon MuteBreakpoints = load("debugger/muteBreakpoints.svg", 7119473911289377878L, 2);
    /** 12x12 */ public static final @NotNull Icon NextStatement = load("debugger/nextStatement.svg", -6845181241672482151L, 2);
    /** 16x16 */ public static final @NotNull Icon Overhead = load("debugger/overhead.svg", -7534457711477829030L, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInput = load("debugger/promptInput.svg", 5858443830051161855L, 2);
    /** 16x16 */ public static final @NotNull Icon PromptInputHistory = load("debugger/promptInputHistory.svg", 6798769693836795227L, 2);
    /** 7x9 */ public static final @NotNull Icon Question_badge = load("debugger/question_badge.svg", -7566772674539380202L, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreLayout = load("debugger/restoreLayout.svg", 7369520956356050356L, 2);
    /** 16x16 */ public static final @NotNull Icon Selfreference = load("debugger/selfreference.svg", -5734616326697546396L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowCurrentFrame = load("debugger/showCurrentFrame.svg", 1598374689722864241L, 2);
    /** 16x16 */ public static final @NotNull Icon SmartStepInto = load("debugger/smartStepInto.svg", 2606167024637659329L, 2);
    /** 16x16 */ public static final @NotNull Icon ThreadAtBreakpoint = load("debugger/threadAtBreakpoint.svg", -5459341154951592182L, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadCurrent = load("debugger/threadCurrent.svg", 8734300926598959326L, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadFrozen = load("debugger/threadFrozen.svg", 6060739704576025085L, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroup = load("debugger/threadGroup.svg", 9052723106812931304L, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadGroupCurrent = load("debugger/threadGroupCurrent.svg", -8224647636698949474L, 0);
    /** 16x16 */ public static final @NotNull Icon ThreadRunning = load("debugger/threadRunning.svg", 3572194204561033719L, 0);
    /** 16x16 */ public static final @NotNull Icon Threads = load("debugger/threads.svg", -7402473634787948544L, 2);

    public static final class ThreadStates {
      /** 16x16 */ public static final @NotNull Icon Daemon_sign = load("debugger/threadStates/daemon_sign.svg", 637391421985822459L, 2);
      /** 16x16 */ public static final @NotNull Icon Idle = load("debugger/threadStates/idle.svg", 5918729850214172743L, 2);
      /** 16x16 */ public static final @NotNull Icon Socket = load("debugger/threadStates/socket.svg", -4942454820622180374L, 2);
    }

    /** 16x16 */ public static final @NotNull Icon ThreadSuspended = load("debugger/threadSuspended.svg", 7736671350523992170L, 0);
    /** 16x16 */ public static final @NotNull Icon Value = load("debugger/value.svg", 11664711062069098L, 0);
    /** 16x16 */ public static final @NotNull Icon VariablesTab = load("debugger/variablesTab.svg", 8117715769618227347L, 2);
    /** 16x16 */ public static final @NotNull Icon ViewBreakpoints = load("debugger/viewBreakpoints.svg", -4464297717317607105L, 2);
    /** 16x16 */ public static final @NotNull Icon Watch = load("debugger/watch.svg", 728028493222369465L, 2);
    /** 16x16 */ public static final @NotNull Icon WatchLastReturnValue = load("debugger/watchLastReturnValue.svg", -5501164889692961600L, 2);
  }

  public static final class Diff {
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflicts = load("diff/applyNotConflicts.svg", -1613285683923592228L, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsLeft = load("diff/applyNotConflictsLeft.svg", -2635043547417468105L, 2);
    /** 16x16 */ public static final @NotNull Icon ApplyNotConflictsRight = load("diff/applyNotConflictsRight.svg", -336068841948579553L, 2);
    /** 12x12 */ public static final @NotNull Icon Arrow = load("diff/arrow.svg", -7836097041821429743L, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowLeftDown = load("diff/arrowLeftDown.svg", -820363719686844613L, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRight = load("diff/arrowRight.svg", 8793156269469164122L, 2);
    /** 12x12 */ public static final @NotNull Icon ArrowRightDown = load("diff/arrowRightDown.svg", 2372859479439755474L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftMiddle = load("diff/compare3LeftMiddle.svg", 4491397575224313917L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3LeftRight = load("diff/compare3LeftRight.svg", 1870752013827230245L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare3MiddleRight = load("diff/compare3MiddleRight.svg", 842201646414574014L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftBottom = load("diff/compare4LeftBottom.svg", -5070470643863850948L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftMiddle = load("diff/compare4LeftMiddle.svg", -618074487413425803L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4LeftRight = load("diff/compare4LeftRight.svg", 8947642001200688492L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleBottom = load("diff/compare4MiddleBottom.svg", 4377610960204202398L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4MiddleRight = load("diff/compare4MiddleRight.svg", -3787125469797392490L, 2);
    /** 16x16 */ public static final @NotNull Icon Compare4RightBottom = load("diff/compare4RightBottom.svg", -2315128593140753463L, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBox = load("diff/gutterCheckBox.svg", -5638110043057040323L, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxIndeterminate = load("diff/gutterCheckBoxIndeterminate.svg", -6869609544352103304L, 2);
    /** 12x12 */ public static final @NotNull Icon GutterCheckBoxSelected = load("diff/gutterCheckBoxSelected.svg", 2891391343737860210L, 2);
    /** 16x16 */ public static final @NotNull Icon Lock = load("diff/lock.svg", -2745024902105645905L, 2);
    /** 12x12 */ public static final @NotNull Icon MagicResolve = load("diff/magicResolve.svg", -1360921167937072491L, 2);
    /** 16x16 */ public static final @NotNull Icon MagicResolveToolbar = load("diff/magicResolveToolbar.svg", -5874659220168916340L, 2);
    /** 12x12 */ public static final @NotNull Icon Remove = load("diff/remove.svg", 5292551197184387939L, 2);
    /** 12x12 */ public static final @NotNull Icon Revert = load("diff/revert.svg", 3118741896265316009L, 2);
  }

  public static final class Duplicates {
    /** 16x16 */ public static final @NotNull Icon SendToTheLeft = load("duplicates/sendToTheLeft.png", 0L, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheLeftGrayed = load("duplicates/sendToTheLeftGrayed.png", 0L, 7);
    /** 16x16 */ public static final @NotNull Icon SendToTheRight = load("duplicates/sendToTheRight.png", 0L, 1);
    /** 16x16 */ public static final @NotNull Icon SendToTheRightGrayed = load("duplicates/sendToTheRightGrayed.png", 0L, 7);
  }

  public static final class FileTypes {
    /** 16x16 */ public static final @NotNull Icon AddAny = load("fileTypes/addAny.svg", -6108322536232825462L, 0);
    /** 16x16 */ public static final @NotNull Icon Any_type = load("fileTypes/any_type.svg", -4981350327028507762L, 0);
    /** 16x16 */ public static final @NotNull Icon Archive = load("fileTypes/archive.svg", -2189372905975043661L, 0);
    /** 16x16 */ public static final @NotNull Icon AS = load("fileTypes/as.svg", 1589170451310731594L, 0);
    /** 16x16 */ public static final @NotNull Icon Aspectj = load("fileTypes/aspectj.svg", -1973347499732176124L, 0);
    /** 16x16 */ public static final @NotNull Icon Config = load("fileTypes/config.svg", -9073757909209223744L, 0);
    /** 16x16 */ public static final @NotNull Icon Css = load("fileTypes/css.svg", 7790518000070047278L, 0);
    /** 16x16 */ public static final @NotNull Icon Custom = load("fileTypes/custom.svg", -1157603600189000253L, 0);
    /** 16x16 */ public static final @NotNull Icon Diagram = load("fileTypes/diagram.svg", -2429466876813126629L, 0);
    /** 16x16 */ public static final @NotNull Icon Dtd = load("fileTypes/dtd.svg", -7996165909392949012L, 0);
    /** 16x16 */ public static final @NotNull Icon Hprof = load("fileTypes/hprof.svg", -5095422436932402460L, 0);
    /** 16x16 */ public static final @NotNull Icon Htaccess = load("fileTypes/htaccess.svg", 3935933121494112102L, 0);
    /** 16x16 */ public static final @NotNull Icon Html = load("fileTypes/html.svg", -7569060768606831026L, 0);
    /** 16x16 */ public static final @NotNull Icon Idl = load("fileTypes/idl.svg", -7364255452151882949L, 0);
    /** 16x16 */ public static final @NotNull Icon Java = load("fileTypes/java.svg", -7051586875662793573L, 0);
    /** 16x16 */ public static final @NotNull Icon JavaClass = load("fileTypes/javaClass.svg", -1578330754160055797L, 0);
    /** 16x16 */ public static final @NotNull Icon JavaOutsideSource = load("fileTypes/javaOutsideSource.svg", 8318454000610853119L, 0);
    /** 16x16 */ public static final @NotNull Icon JavaScript = load("fileTypes/javaScript.svg", -7416551073973912670L, 0);
    /** 16x16 */ public static final @NotNull Icon Jfr = load("fileTypes/jfr.svg", 2512552807122899417L, 0);
    /** 16x16 */ public static final @NotNull Icon Json = load("fileTypes/json.svg", -6341163849795499240L, 2);
    /** 16x16 */ public static final @NotNull Icon JsonSchema = load("fileTypes/jsonSchema.svg", -6005676462106156054L, 2);
    /** 16x16 */ public static final @NotNull Icon Jsp = load("fileTypes/jsp.svg", 763616965788652787L, 0);
    /** 16x16 */ public static final @NotNull Icon Jspx = load("fileTypes/jspx.svg", 6411584863315093694L, 0);
    /** 16x16 */ public static final @NotNull Icon Manifest = load("fileTypes/manifest.svg", -4289758469406838114L, 0);
    /** 16x16 */ public static final @NotNull Icon Properties = load("fileTypes/properties.svg", 5615409325948815036L, 0);
    /** 16x16 */ public static final @NotNull Icon Regexp = load("fileTypes/regexp.svg", -826487212676604338L, 0);
    /** 16x16 */ public static final @NotNull Icon Text = load("fileTypes/text.svg", 8280322736340454988L, 0);
    /** 16x16 */ public static final @NotNull Icon UiForm = load("fileTypes/uiForm.svg", -4723811373355741357L, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("fileTypes/unknown.svg", 5009937054298300794L, 0);
    /** 16x16 */ public static final @NotNull Icon WsdlFile = load("fileTypes/wsdlFile.svg", -4029693484639986134L, 0);
    /** 16x16 */ public static final @NotNull Icon Xhtml = load("fileTypes/xhtml.svg", -5880112208847964285L, 0);
    /** 16x16 */ public static final @NotNull Icon Xml = load("fileTypes/xml.svg", 362844790389377325L, 0);
    /** 16x16 */ public static final @NotNull Icon XsdFile = load("fileTypes/xsdFile.svg", -2635044463675498836L, 0);
    /** 16x16 */ public static final @NotNull Icon Yaml = load("fileTypes/yaml.svg", -485093857529124013L, 0);
  }

  public static final class General {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("general/actualZoom.svg", 1969113190458508566L, 2);
    /** 16x16 */ public static final @NotNull Icon Add = load("general/add.svg", -3585444224315906991L, 2);
    /** 16x16 */ public static final @NotNull Icon AddJdk = load("general/addJdk.svg", 3913886157660679839L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowDown = load("general/arrowDown.svg", 3284597414429897977L, 2);
    /** 9x5 */ public static final @NotNull Icon ArrowDownSmall = load("general/arrowDownSmall.svg", -2135185413828734900L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowLeft = load("general/arrowLeft.svg", -8382198699793838070L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowRight = load("general/arrowRight.svg", 6207914208203756930L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterH = load("general/arrowSplitCenterH.svg", -2958077138542022798L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowSplitCenterV = load("general/arrowSplitCenterV.svg", 4316065448805574132L, 2);
    /** 16x16 */ public static final @NotNull Icon ArrowUp = load("general/arrowUp.svg", -7812215923613424515L, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollFromSource = load("general/autoscrollFromSource.svg", 3434118762779950591L, 2);
    /** 16x16 */ public static final @NotNull Icon AutoscrollToSource = load("general/autoscrollToSource.svg", -1989637259276155436L, 2);
    /** 16x16 */ public static final @NotNull Icon Balloon = load("general/balloon.svg", -5934062359488844219L, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonError = load("general/balloonError.svg", 8233019841075775908L, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonInformation = load("general/balloonInformation.svg", -1420324160821406768L, 2);
    /** 16x16 */ public static final @NotNull Icon BalloonWarning = load("general/balloonWarning.svg", -1931199119404078185L, 2);
    /** 12x12 */ public static final @NotNull Icon BalloonWarning12 = load("general/balloonWarning12.svg", 4823823179138939439L, 2);
    /** 8x4 */ public static final @NotNull Icon ButtonDropTriangle = load("general/buttonDropTriangle.svg", -1305243295153025777L, 2);
    /** 16x16 */ public static final @NotNull Icon ChevronDown = load("general/chevron-down.svg", -574064105000500988L, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronLeft = load("general/chevron-left.svg", -422346459894404165L, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronRight = load("general/chevron-right.svg", 7618248272102028493L, 0);
    /** 16x16 */ public static final @NotNull Icon ChevronUp = load("general/chevron-up.svg", 5540242428450808003L, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponent = load("general/collapseComponent.svg", 3628282616645490987L, 0);
    /** 16x16 */ public static final @NotNull Icon CollapseComponentHover = load("general/collapseComponentHover.svg", 7055559148773644371L, 0);
    /** 16x16 */ public static final @NotNull Icon ContextHelp = load("general/contextHelp.svg", 7811008835306230372L, 0);
    /** 16x16 */ public static final @NotNull Icon CopyHovered = load("general/copyHovered.svg", -7432204066434313352L, 0);
    /** 2x19 */ public static final @NotNull Icon Divider = load("general/divider.svg", -7403767514833633485L, 2);
    /** 16x16 */ public static final @NotNull Icon Dropdown = load("general/dropdown.svg", -5146307360143264819L, 2);
    /** 13x13 */ public static final @NotNull Icon DropdownGutter = load("general/dropdownGutter.svg", -7938650216036605168L, 2);
    /** 2x20 */ public static final @NotNull Icon DropPlace = load("general/dropPlace.svg", 3447837119501758613L, 2);
    /** 9x9 */ public static final @NotNull Icon Ellipsis = load("general/ellipsis.svg", 3102523073998960194L, 2);
    /** 16x16 */ public static final @NotNull Icon Error = load("general/error.svg", 5689198334446313430L, 0);
    /** 32x32 */ public static final @NotNull Icon ErrorDialog = load("general/errorDialog.svg", 4725392123305420084L, 0);
    /** 16x16 */ public static final @NotNull Icon ExclMark = load("general/exclMark.svg", 1465746164234814075L, 2);
    /** 16x16 */ public static final @NotNull Icon ExpandComponent = load("general/expandComponent.svg", 658200792418753951L, 0);
    /** 16x16 */ public static final @NotNull Icon ExpandComponentHover = load("general/expandComponentHover.svg", -4237517416915604345L, 0);
    /** 16x16 */ public static final @NotNull Icon ExternalTools = load("general/externalTools.svg", 8799621894264478357L, 2);
    /** 16x16 */ public static final @NotNull Icon Filter = load("general/filter.svg", -3673787360451991534L, 2);
    /** 16x16 */ public static final @NotNull Icon FitContent = load("general/fitContent.svg", 9198002167217273159L, 2);
    /** 16x16 */ public static final @NotNull Icon Gear = load("general/gear.svg", -7510413932906733448L, 0);
    /** 16x16 */ public static final @NotNull Icon GearHover = load("general/gearHover.svg", 574449775451329593L, 0);
    /** 16x16 */ public static final @NotNull Icon GearPlain = load("general/gearPlain.svg", 352262039643415909L, 2);
    /** 16x16 */ public static final @NotNull Icon HideToolWindow = load("general/hideToolWindow.svg", -5040655830085142767L, 2);
    /** 16x16 */ public static final @NotNull Icon ImplementingMethod = load("general/implementingMethod.svg", -3819134902329645100L, 1);
    /** 16x16 */ public static final @NotNull Icon Information = load("general/information.svg", 7048014921308783653L, 0);
    /** 32x32 */ public static final @NotNull Icon InformationDialog = load("general/informationDialog.svg", 2566844759370194465L, 0);
    /** 16x16 */ public static final @NotNull Icon InheritedMethod = load("general/inheritedMethod.svg", 6299445481004207875L, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit = load("general/inline_edit.svg", 8752623962139330029L, 0);
    /** 16x16 */ public static final @NotNull Icon Inline_edit_hovered = load("general/inline_edit_hovered.svg", -7993547802661351277L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAdd = load("general/inlineAdd.svg", -6876446545171989911L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineAddHover = load("general/inlineAddHover.svg", -1274832203393211630L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopy = load("general/inlineCopy.svg", 4086041163192533867L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineCopyHover = load("general/inlineCopyHover.svg", -118377199179686277L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefresh = load("general/inlineRefresh.svg", 7057707416785730877L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineRefreshHover = load("general/inlineRefreshHover.svg", 6223569865014447242L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariables = load("general/inlineVariables.svg", -2890084193764829258L, 0);
    /** 16x16 */ public static final @NotNull Icon InlineVariablesHover = load("general/inlineVariablesHover.svg", 8274939683858428276L, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsError = load("general/inspectionsError.svg", -7039855443562847008L, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsErrorEmpty = load("general/inspectionsErrorEmpty.svg", -2750256652631357142L, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsEye = load("general/inspectionsEye.svg", 3840622276608510688L, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsMixed = load("general/inspectionsMixed.svg", 4234985329928395096L, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsOK = load("general/inspectionsOK.svg", 4545077455009270902L, 2);
    /** 16x17 */ public static final @NotNull Icon InspectionsOKEmpty = load("general/inspectionsOKEmpty.svg", 5673904150434933232L, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPause = load("general/inspectionsPause.svg", 5059374165466913525L, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsPowerSaveMode = load("general/inspectionsPowerSaveMode.svg", -5466099352663731680L, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsTrafficOff = load("general/inspectionsTrafficOff.svg", 3354875271414167965L, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsTypos = load("general/inspectionsTypos.svg", -5909201956079278877L, 2);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarning = load("general/inspectionsWarning.svg", 2078939974158171771L, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionsWarningEmpty = load("general/inspectionsWarningEmpty.svg", 8591134806081985879L, 0);
    /** 16x16 */ public static final @NotNull Icon Layout = load("general/layout.svg", 6695264152576692185L, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorOnly = load("general/layoutEditorOnly.svg", 5929836236392457769L, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutEditorPreview = load("general/layoutEditorPreview.svg", 6174796865582202205L, 2);
    /** 16x16 */ public static final @NotNull Icon LayoutPreviewOnly = load("general/layoutPreviewOnly.svg", 3340980002153079705L, 2);
    /** 14x14 */ public static final @NotNull Icon LinkDropTriangle = load("general/linkDropTriangle.svg", -6027632956186156736L, 2);
    /** 16x16 */ public static final @NotNull Icon LocalizationSettings = load("general/localizationSettings.svg", 7915431949963608671L, 0);
    /** 16x16 */ public static final @NotNull Icon Locate = load("general/locate.svg", -8811087008070693854L, 2);
    /** 13x13 */ public static final @NotNull Icon Modified = load("general/modified.svg", 1861471780538215747L, 2);
    /** 13x13 */ public static final @NotNull Icon ModifiedSelected = load("general/modifiedSelected.svg", -2527925143436125593L, 0);
    /** 16x16 */ public static final @NotNull Icon MoreTabs = load("general/moreTabs.svg", 313548432320749452L, 2);
    /** 16x16 */ public static final @NotNull Icon Mouse = load("general/mouse.svg", 5173962660584138459L, 2);
    /** 16x16 */ public static final @NotNull Icon Note = load("general/note.svg", 920974156072207939L, 0);
    /** 24x24 */ public static final @NotNull Icon NotificationError = load("general/notificationError.svg", 2652241976939397291L, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationInfo = load("general/notificationInfo.svg", -6869493638097501857L, 2);
    /** 24x24 */ public static final @NotNull Icon NotificationWarning = load("general/notificationWarning.svg", 6867585265524448963L, 2);
    /** 16x16 */ public static final @NotNull Icon OpenDisk = load("general/openDisk.svg", -6547280361896189638L, 0);
    /** 16x16 */ public static final @NotNull Icon OpenDiskHover = load("general/openDiskHover.svg", 2300019877052816528L, 0);
    /** 16x16 */ public static final @NotNull Icon OverridenMethod = load("general/overridenMethod.svg", 6250009666126226099L, 0);
    /** 16x16 */ public static final @NotNull Icon OverridingMethod = load("general/overridingMethod.svg", -8759090858891193526L, 0);
    /** 16x16 */ public static final @NotNull Icon Pin_tab = load("general/pin_tab.svg", 5655295574301149439L, 2);
    /** 16x16 */ public static final @NotNull Icon Print = load("general/print.svg", 8307648392835981234L, 2);
    /** 9x9 */ public static final @NotNull Icon ProjectConfigurable = load("general/projectConfigurable.svg", -3281035821065596538L, 0);
    /** 16x16 */ public static final @NotNull Icon ProjectStructure = load("general/projectStructure.svg", 7927167745064937666L, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectTab = load("general/projectTab.svg", -7482724285638477765L, 0);
    /** 32x32 */ public static final @NotNull Icon QuestionDialog = load("general/questionDialog.svg", -3170857866783015702L, 0);
    /** 16x16 */ public static final @NotNull Icon ReaderMode = load("general/readerMode.svg", 4885173072943589526L, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("general/remove.svg", 5417826838796538124L, 2);
    /** 16x16 */ public static final @NotNull Icon Reset = load("general/reset.svg", -2722652007778730303L, 2);
    /** 16x16 */ public static final @NotNull Icon RunWithCoverage = load("general/runWithCoverage.svg", -2885167007653806604L, 2);
    /** 16x16 */ public static final @NotNull Icon SeparatorH = load("general/separatorH.svg", 5563298765414950711L, 2);
    /** 16x16 */ public static final @NotNull Icon Settings = load("general/settings.svg", 5222013616390367447L, 2);
    /** 16x16 */ public static final @NotNull Icon Show_to_implement = load("general/show_to_implement.svg", 5820899675846215684L, 7);
    /** 16x16 */ public static final @NotNull Icon ShowInfos = load("general/showInfos.svg", -7836467967962681646L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowWarning = load("general/showWarning.svg", -880501858508231851L, 2);
    /** 48x48 */ public static final @NotNull Icon SuccessDialog = load("general/successDialog.svg", 7331118895885022616L, 0);
    /** 16x16 */ public static final @NotNull Icon TbHidden = load("general/tbHidden.svg", 2150059385419883630L, 2);
    /** 16x16 */ public static final @NotNull Icon TbShown = load("general/tbShown.svg", -2726647401251720005L, 2);
    /** 32x32 */ public static final @NotNull Icon Tip = load("general/tip.svg", 7483196027967641474L, 2);
    /** 16x16 */ public static final @NotNull Icon TodoDefault = load("general/todoDefault.svg", -5612552165751933107L, 0);
    /** 16x16 */ public static final @NotNull Icon TodoImportant = load("general/todoImportant.svg", 5866821874343618427L, 0);
    /** 16x16 */ public static final @NotNull Icon TodoQuestion = load("general/todoQuestion.svg", 1014339193169917273L, 0);
    /** 16x16 */ public static final @NotNull Icon Tree = load("general/tree.svg", -1048753191464001173L, 0);
    /** 16x16 */ public static final @NotNull Icon TreeHovered = load("general/treeHovered.svg", 3846253933917740445L, 0);
    /** 16x16 */ public static final @NotNull Icon TreeSelected = load("general/treeSelected.svg", 1867040582377826750L, 0);
    /** 16x16 */ public static final @NotNull Icon User = load("general/user.svg", -7586125210954568568L, 0);
    /** 16x16 */ public static final @NotNull Icon Warning = load("general/warning.svg", -4939622142106744579L, 2);
    /** 16x16 */ public static final @NotNull Icon WarningDecorator = load("general/warningDecorator.svg", 2405998040705208001L, 2);
    /** 32x32 */ public static final @NotNull Icon WarningDialog = load("general/warningDialog.svg", 6423980923993992189L, 0);
    /** 16x16 */ public static final @NotNull Icon Web = load("general/web.svg", -2049562750565831010L, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("general/zoomIn.svg", -7507719754184865831L, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("general/zoomOut.svg", -1556237764441501987L, 2);
  }

  public static final class Graph {
    /** 16x16 */ public static final @NotNull Icon ActualZoom = load("graph/actualZoom.svg", 1969113190458508566L, 2);
    /** 16x16 */ public static final @NotNull Icon Grid = load("graph/grid.svg", 8615638177420900069L, 2);
    /** 16x16 */ public static final @NotNull Icon Layout = load("graph/layout.svg", 6695264152576692185L, 2);
    /** 16x16 */ public static final @NotNull Icon NodeSelectionMode = load("graph/nodeSelectionMode.svg", 2123375638392978339L, 2);
    /** 16x16 */ public static final @NotNull Icon SnapToGrid = load("graph/snapToGrid.svg", -3367964497844645697L, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomIn = load("graph/zoomIn.svg", -7507719754184865831L, 2);
    /** 16x16 */ public static final @NotNull Icon ZoomOut = load("graph/zoomOut.svg", -1556237764441501987L, 2);

    /** @deprecated to be removed in IDEA 2021.1 - use AllIcons.General.FitContent */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2021.1")
    /** 16x16 */ public static final @NotNull Icon FitContent = load("general/fitContent.svg", 9198002167217273159L, 0);
  }

  public static final class Gutter {
    /** 12x12 */ public static final @NotNull Icon Colors = load("gutter/colors.svg", 6388244368073105979L, 2);
    /** 12x12 */ public static final @NotNull Icon ExtAnnotation = load("gutter/extAnnotation.svg", 7332164382649902763L, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementedMethod = load("gutter/implementedMethod.svg", 1854241027672358532L, 7);
    /** 12x12 */ public static final @NotNull Icon ImplementingFunctionalInterface = load("gutter/implementingFunctionalInterface.svg", -3398495354324177404L, 2);
    /** 12x12 */ public static final @NotNull Icon ImplementingMethod = load("gutter/implementingMethod.svg", 4353308881877057180L, 7);
    /** 12x12 */ public static final @NotNull Icon Java9Service = load("gutter/java9Service.svg", -8604389755118291699L, 2);
    /** 12x12 */ public static final @NotNull Icon JavadocEdit = load("gutter/javadocEdit.svg", 7771280808111298635L, 0);
    /** 12x12 */ public static final @NotNull Icon JavadocRead = load("gutter/javadocRead.svg", -2004102956209350531L, 0);
    /** 12x12 */ public static final @NotNull Icon OverridenMethod = load("gutter/overridenMethod.svg", 7658170546684377651L, 2);
    /** 12x12 */ public static final @NotNull Icon OverridingMethod = load("gutter/overridingMethod.svg", 8526738139876697207L, 2);
    /** 12x12 */ public static final @NotNull Icon ReadAccess = load("gutter/readAccess.svg", -709258933502061890L, 2);
    /** 12x12 */ public static final @NotNull Icon RecursiveMethod = load("gutter/recursiveMethod.svg", -255796367759107943L, 2);
    /** 12x12 */ public static final @NotNull Icon SiblingInheritedMethod = load("gutter/siblingInheritedMethod.svg", -6468130093793618608L, 7);
    /** 12x12 */ public static final @NotNull Icon SuggestedRefactoringBulb = load("gutter/suggestedRefactoringBulb.svg", 894315954377143565L, 2);
    /** 13x12 */ public static final @NotNull Icon SuggestedRefactoringBulbDisabled = load("gutter/suggestedRefactoringBulbDisabled.svg", -8650800685568776794L, 2);
    /** 8x8 */ public static final @NotNull Icon Unique = load("gutter/unique.svg", -215234174279694879L, 2);
    /** 12x12 */ public static final @NotNull Icon WriteAccess = load("gutter/writeAccess.svg", 3319082252081285338L, 2);
  }

  public static final class Hierarchy {
    /** 16x16 */ public static final @NotNull Icon Class = load("hierarchy/class.svg", 2994095993987521804L, 2);
    /** 8x8 */ public static final @NotNull Icon MethodDefined = load("hierarchy/methodDefined.svg", -6960492725489446452L, 2);
    /** 8x8 */ public static final @NotNull Icon MethodNotDefined = load("hierarchy/methodNotDefined.svg", -1768833083629348525L, 2);
    /** 8x8 */ public static final @NotNull Icon ShouldDefineMethod = load("hierarchy/shouldDefineMethod.svg", 9036317223359959890L, 2);
    /** 16x16 */ public static final @NotNull Icon Subtypes = load("hierarchy/subtypes.svg", -7660106743095126529L, 2);
    /** 16x16 */ public static final @NotNull Icon Supertypes = load("hierarchy/supertypes.svg", 8165160621001308321L, 2);
  }

  public static final class Icons {
    public static final class Ide {
      /** 12x12 */ public static final @NotNull Icon MenuArrow = load("icons/ide/menuArrow.svg", -8174838791846984165L, 2);
      /** 12x12 */ public static final @NotNull Icon MenuArrowSelected = load("icons/ide/menuArrowSelected.svg", 8377369003570761540L, 2);
      /** 12x12 */ public static final @NotNull Icon NextStep = load("icons/ide/nextStep.svg", 5831662433232763075L, 2);
      /** 12x12 */ public static final @NotNull Icon NextStepInverted = load("icons/ide/nextStepInverted.svg", 7968851799887502027L, 0);
    }
  }

  public static final class Ide {
    /** 16x16 */ public static final @NotNull Icon ConfigFile = load("ide/configFile.svg", 3768241996703680153L, 2);
    /** 6x6 */ public static final @NotNull Icon ErrorPoint = load("ide/errorPoint.svg", -1223871185601996730L, 2);
    /** 14x14 */ public static final @NotNull Icon External_link_arrow = load("ide/external_link_arrow.svg", 3848907167550726777L, 0);
    /** 16x16 */ public static final @NotNull Icon FatalErrorRead = load("ide/fatalError-read.svg", 5216761098405937782L, 2);
    /** 16x16 */ public static final @NotNull Icon FatalError = load("ide/fatalError.svg", -6879921752749057624L, 2);
    /** 16x16 */ public static final @NotNull Icon Gift = load("ide/gift.svg", -3269559537649493037L, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOff = load("ide/hectorOff.svg", 2667401865142309246L, 2);
    /** 16x16 */ public static final @NotNull Icon HectorOn = load("ide/hectorOn.svg", 4559603987444558516L, 2);
    /** 16x16 */ public static final @NotNull Icon HectorSyntax = load("ide/hectorSyntax.svg", -5675349142435647843L, 2);
    /** 16x16 */ public static final @NotNull Icon IncomingChangesOn = load("ide/incomingChangesOn.svg", -1208738415059095868L, 2);
    /** 12x12 */ public static final @NotNull Icon Link = load("ide/link.svg", -8008111713135817119L, 2);
    /** 16x16 */ public static final @NotNull Icon LocalScope = load("ide/localScope.svg", -2060894341767084504L, 0);
    /** 16x16 */ public static final @NotNull Icon LocalScopeAction = load("ide/localScopeAction.svg", 1295348895466186922L, 2);

    public static final class Macro {
      /** 16x16 */ public static final @NotNull Icon Recording_1 = load("ide/macro/recording_1.svg", 8442639964353907420L, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_2 = load("ide/macro/recording_2.svg", -569099752052001482L, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_3 = load("ide/macro/recording_3.svg", 752908989588463811L, 2);
      /** 16x16 */ public static final @NotNull Icon Recording_4 = load("ide/macro/recording_4.svg", 7644744178292871322L, 2);
    }

    /** 5x15 */ public static final @NotNull Icon NavBarSeparator = load("ide/NavBarSeparator.svg", 1656386323367815026L, 0);

    public static final class Notification {
      /** 16x16 */ public static final @NotNull Icon Close = load("ide/notification/close.svg", -2507154722838625200L, 0);
      /** 16x16 */ public static final @NotNull Icon CloseHover = load("ide/notification/closeHover.svg", 6867053114471528611L, 0);
      /** 16x16 */ public static final @NotNull Icon Collapse = load("ide/notification/collapse.svg", -462012115855649717L, 0);
      /** 16x16 */ public static final @NotNull Icon CollapseHover = load("ide/notification/collapseHover.svg", 6316796238040572580L, 0);
      /** 16x16 */ public static final @NotNull Icon DropTriangle = load("ide/notification/dropTriangle.svg", 6536214143521313887L, 0);
      /** 16x16 */ public static final @NotNull Icon ErrorEvents = load("ide/notification/errorEvents.svg", 1396141820189942169L, 2);
      /** 16x16 */ public static final @NotNull Icon Expand = load("ide/notification/expand.svg", -6958315973146153682L, 0);
      /** 16x16 */ public static final @NotNull Icon ExpandHover = load("ide/notification/expandHover.svg", -4588545817785777941L, 0);
      /** 16x16 */ public static final @NotNull Icon Gear = load("ide/notification/gear.svg", -7222182493164029449L, 0);
      /** 16x16 */ public static final @NotNull Icon GearHover = load("ide/notification/gearHover.svg", 1537263008063741L, 0);
      /** 16x16 */ public static final @NotNull Icon IdeUpdate = load("ide/notification/ideUpdate.svg", -1447364926976523686L, 2);
      /** 16x16 */ public static final @NotNull Icon InfoEvents = load("ide/notification/infoEvents.svg", -2269130859553038746L, 2);
      /** 16x16 */ public static final @NotNull Icon NoEvents = load("ide/notification/noEvents.svg", 3286018734137810091L, 2);
      /** 16x16 */ public static final @NotNull Icon PluginUpdate = load("ide/notification/pluginUpdate.svg", -13103662987697015L, 2);
      /** 16x16 */ public static final @NotNull Icon WarningEvents = load("ide/notification/warningEvents.svg", -5695776007567399224L, 2);
    }

    /** 16x16 */ public static final @NotNull Icon OutgoingChangesOn = load("ide/outgoingChangesOn.svg", 5714774245435597002L, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette = load("ide/pipette.svg", 4989497708955342934L, 2);
    /** 16x16 */ public static final @NotNull Icon Pipette_rollover = load("ide/pipette_rollover.svg", -3948864055866129181L, 2);
    /** 16x16 */ public static final @NotNull Icon PowerSaveMode = load("ide/powerSaveMode.svg", 5054505298978666759L, 2);
    /** 11x11 */ public static final @NotNull Icon Rating = load("ide/rating.svg", -2880831994460982320L, 2);
    /** 11x11 */ public static final @NotNull Icon Rating1 = load("ide/rating1.svg", 6266122977369388712L, 2);
    /** 11x11 */ public static final @NotNull Icon Rating2 = load("ide/rating2.svg", -8157420083167354381L, 2);
    /** 11x11 */ public static final @NotNull Icon Rating3 = load("ide/rating3.svg", -5826011760572722855L, 2);
    /** 11x11 */ public static final @NotNull Icon Rating4 = load("ide/rating4.svg", -2117251696661482447L, 2);
    /** 16x16 */ public static final @NotNull Icon Readonly = load("ide/readonly.svg", -5802139425996428335L, 2);
    /** 16x16 */ public static final @NotNull Icon Readwrite = load("ide/readwrite.svg", -6709918514750360184L, 2);

    public static final class RunAnything {
      /** 16x16 */ public static final @NotNull Icon OpenRecentProject = load("ide/runAnything/openRecentProject.svg", -398812915858805492L, 0);
    }

    public static final class Shadow {
      /** 4x14 */ public static final @NotNull Icon Bottom = load("ide/shadow/bottom.svg", 1329345440204239019L, 0);
      /** 18x22 */ public static final @NotNull Icon BottomLeft = load("ide/shadow/bottomLeft.svg", 1493764349696823585L, 0);
      /** 18x22 */ public static final @NotNull Icon BottomRight = load("ide/shadow/bottomRight.svg", -5797668485707343161L, 0);
      /** 10x4 */ public static final @NotNull Icon Left = load("ide/shadow/left.svg", 4923514707910388593L, 0);
      /** 10x4 */ public static final @NotNull Icon Right = load("ide/shadow/right.svg", 198412453248260030L, 0);
      /** 4x6 */ public static final @NotNull Icon Top = load("ide/shadow/top.svg", 6543045390563243486L, 0);
      /** 18x14 */ public static final @NotNull Icon TopLeft = load("ide/shadow/topLeft.svg", 989543395337991797L, 0);
      /** 18x14 */ public static final @NotNull Icon TopRight = load("ide/shadow/topRight.svg", 5996625074438273620L, 0);
    }

    /** 7x10 */ public static final @NotNull Icon Statusbar_arrows = load("ide/statusbar_arrows.svg", 4471789514302218940L, 2);
    /** 16x16 */ public static final @NotNull Icon UpDown = load("ide/upDown.svg", 3554560487203208191L, 2);
  }

  /** 100x100 */ public static final @NotNull Icon Idea_logo_welcome = load("idea_logo_welcome.png", 0L, 0);

  public static final class Javaee {
    /** 16x16 */ public static final @NotNull Icon Home = load("javaee/home.svg", -8801590354337672901L, 1);
    /** 16x16 */ public static final @NotNull Icon PersistenceEntity = load("javaee/persistenceEntity.svg", -8199506185119937780L, 0);
    /** 16x16 */ public static final @NotNull Icon UpdateRunningApplication = load("javaee/updateRunningApplication.svg", 6414772442003332145L, 2);
    /** 16x16 */ public static final @NotNull Icon WebModuleGroup = load("javaee/webModuleGroup.svg", -2507083813008331905L, 0);
    /** 16x16 */ public static final @NotNull Icon WebService = load("javaee/WebService.svg", -1136812688602305714L, 0);
    /** 16x16 */ public static final @NotNull Icon WebServiceClient = load("javaee/WebServiceClient.svg", 2594688242338818674L, 0);
  }

  public static final class Json {
    /** 16x16 */ public static final @NotNull Icon Array = load("json/array.svg", 4011285273924386175L, 2);
    /** 16x16 */ public static final @NotNull Icon Object = load("json/object.svg", -2315249763374258357L, 2);
  }

  /** 80x80 */ public static final @NotNull Icon Logo_welcomeScreen = load("Logo_welcomeScreen.png", 0L, 1);
  /** 80x80 */ public static final @NotNull Icon Logo_welcomeScreen_CE = load("Logo_welcomeScreen_CE.png", 0L, 1);

  public static final class Mac {
    /** 55x55 */ public static final @NotNull Icon AppIconOk512 = load("mac/appIconOk512.png", 0L, 0);

    public static final class Touchbar {
      /** 16x16 */ public static final @NotNull Icon PopoverArrow = load("mac/touchbar/popoverArrow.svg", 6025917986692146985L, 0);
      /** 24x24 */ public static final @NotNull Icon PopoverClose = load("mac/touchbar/popoverClose.svg", -4228649677959051658L, 0);
    }
  }

  public static final class Modules {
    /** 16x16 */ public static final @NotNull Icon AddExcludedRoot = load("modules/addExcludedRoot.svg", -5889471566201342830L, 2);
    /** 16x16 */ public static final @NotNull Icon Annotation = load("modules/annotation.svg", 6581536770838422444L, 0);
    /** 16x16 */ public static final @NotNull Icon EditFolder = load("modules/editFolder.svg", 1834896247211423928L, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedGeneratedRoot = load("modules/excludedGeneratedRoot.svg", -8240447319255501296L, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludeRoot = load("modules/excludeRoot.svg", 2694236085064419933L, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedFolder = load("modules/generatedFolder.svg", 7255133804542467435L, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedSourceRoot = load("modules/generatedSourceRoot.svg", 7081882739289782382L, 0);
    /** 16x16 */ public static final @NotNull Icon GeneratedTestRoot = load("modules/generatedTestRoot.svg", -4525689972289046434L, 0);
    /** 16x16 */ public static final @NotNull Icon Output = load("modules/output.svg", 2844250282766648240L, 0);
    /** 16x16 */ public static final @NotNull Icon ResourcesRoot = load("modules/resourcesRoot.svg", -1637039572116823913L, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRoot = load("modules/sourceRoot.svg", 5052274159626139457L, 0);
    /** 16x16 */ public static final @NotNull Icon SourceRootFileLayer = load("modules/sourceRootFileLayer.svg", 5859290266234091743L, 0);
    /** 16x16 */ public static final @NotNull Icon Split = load("modules/split.svg", -6371657017180952297L, 2);
    /** 16x16 */ public static final @NotNull Icon TestResourcesRoot = load("modules/testResourcesRoot.svg", 7768835558798807401L, 0);
    /** 16x16 */ public static final @NotNull Icon TestRoot = load("modules/testRoot.svg", -1979770686735553913L, 0);
    /** 16x16 */ public static final @NotNull Icon UnloadedModule = load("modules/unloadedModule.svg", -8319873470554104331L, 0);
    /** 16x16 */ public static final @NotNull Icon UnmarkWebroot = load("modules/unmarkWebroot.svg", 5204995023898891279L, 0);
  }

  public static final class Nodes {
    /** 16x16 */ public static final @NotNull Icon AbstractClass = load("nodes/abstractClass.svg", -4925019619022625968L, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractException = load("nodes/abstractException.svg", 3523454549349087152L, 0);
    /** 16x16 */ public static final @NotNull Icon AbstractMethod = load("nodes/abstractMethod.svg", -5158901076824394603L, 1);
    /** 16x16 */ public static final @NotNull Icon Alias = load("nodes/alias.svg", -2361753905915902911L, 0);
    /** 16x16 */ public static final @NotNull Icon Annotationtype = load("nodes/annotationtype.svg", 3228769903878016636L, 0);
    /** 16x16 */ public static final @NotNull Icon AnonymousClass = load("nodes/anonymousClass.svg", 4399892964933631120L, 0);
    /** 16x16 */ public static final @NotNull Icon Artifact = load("nodes/artifact.svg", -3254375564343235015L, 0);
    /** 16x16 */ public static final @NotNull Icon Aspect = load("nodes/aspect.svg", 5323027972373212490L, 0);
    /** 16x16 */ public static final @NotNull Icon C_plocal = load("nodes/c_plocal.svg", 3501127193229261037L, 0);
    /** 16x16 */ public static final @NotNull Icon C_private = load("nodes/c_private.svg", 522391154330779219L, 0);
    /** 16x16 */ public static final @NotNull Icon C_protected = load("nodes/c_protected.svg", -2444857138846209853L, 0);
    /** 16x16 */ public static final @NotNull Icon C_public = load("nodes/c_public.svg", 4775040304627670501L, 0);
    /** 16x16 */ public static final @NotNull Icon Class = load("nodes/class.svg", -4230170658237335957L, 0);
    /** 16x16 */ public static final @NotNull Icon ClassInitializer = load("nodes/classInitializer.svg", 5213070149293314352L, 0);
    /** 16x16 */ public static final @NotNull Icon CompiledClassesFolder = load("nodes/compiledClassesFolder.svg", 6207573674960241113L, 0);
    /** 16x16 */ public static final @NotNull Icon ConfigFolder = load("nodes/configFolder.svg", -5695309164341759711L, 0);
    /** 16x16 */ public static final @NotNull Icon Console = load("nodes/console.svg", -6608604542464628462L, 0);
    /** 16x16 */ public static final @NotNull Icon Constant = load("nodes/constant.svg", -1633160192020301177L, 0);
    /** 16x16 */ public static final @NotNull Icon Controller = load("nodes/controller.svg", 718253284241281795L, 0);
    /** 16x16 */ public static final @NotNull Icon CopyOfFolder = load("nodes/copyOfFolder.svg", -3126467156863023186L, 0);
    /** 16x16 */ public static final @NotNull Icon CustomRegion = load("nodes/customRegion.svg", -7431713219482771538L, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_global = load("nodes/cvs_global.svg", -5276917894657416585L, 0);
    /** 16x16 */ public static final @NotNull Icon Cvs_roots = load("nodes/cvs_roots.svg", 868180510157403598L, 0);
    /** 16x16 */ public static final @NotNull Icon DataColumn = load("nodes/dataColumn.svg", 1503086178908052179L, 0);
    /** 16x16 */ public static final @NotNull Icon DataSchema = load("nodes/dataSchema.svg", -2268130135430038528L, 0);
    /** 16x16 */ public static final @NotNull Icon DataTables = load("nodes/DataTables.svg", 7637183574619400312L, 0);
    /** 16x16 */ public static final @NotNull Icon Deploy = load("nodes/deploy.svg", 7509975516969637162L, 0);
    /** 16x16 */ public static final @NotNull Icon Desktop = load("nodes/desktop.svg", 5884587426839092876L, 2);
    /** 16x16 */ public static final @NotNull Icon DoneMark = load("nodes/doneMark.svg", 1002219996754945165L, 2);
    /** 16x16 */ public static final @NotNull Icon Editorconfig = load("nodes/editorconfig.svg", -8211480677380365732L, 0);
    /** 16x16 */ public static final @NotNull Icon EmptyNode = load("nodes/emptyNode.svg", -1810957912639927785L, 0);
    /** 16x16 */ public static final @NotNull Icon EnterpriseProject = load("nodes/enterpriseProject.svg", -8414842547392595026L, 0);
    /** 16x16 */ public static final @NotNull Icon EntryPoints = load("nodes/entryPoints.svg", -3409380867263087401L, 0);
    /** 16x16 */ public static final @NotNull Icon Enum = load("nodes/enum.svg", -6505969266528079094L, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorIntroduction = load("nodes/errorIntroduction.svg", -2706189805707481465L, 1);
    /** 16x16 */ public static final @NotNull Icon ErrorMark = load("nodes/errorMark.svg", -3098154289428426611L, 2);
    /** 16x16 */ public static final @NotNull Icon ExceptionClass = load("nodes/exceptionClass.svg", -3398084432012465109L, 0);
    /** 16x16 */ public static final @NotNull Icon ExcludedFromCompile = load("nodes/excludedFromCompile.svg", 5316041837820041563L, 0);
    /** 16x16 */ public static final @NotNull Icon ExtractedFolder = load("nodes/extractedFolder.svg", -8099470829472670136L, 0);
    /** 16x16 */ public static final @NotNull Icon Favorite = load("nodes/favorite.svg", 7242612013670013539L, 0);
    /** 16x16 */ public static final @NotNull Icon Field = load("nodes/field.svg", 1794007188092840392L, 0);
    /** 16x16 */ public static final @NotNull Icon FieldPK = load("nodes/fieldPK.svg", 75826471374173532L, 0);
    /** 16x16 */ public static final @NotNull Icon FilePrivate = load("nodes/filePrivate.svg", 3988851240995327465L, 0);
    /** 16x16 */ public static final @NotNull Icon FinalMark = load("nodes/finalMark.svg", -3855552765723180804L, 0);
    /** 16x16 */ public static final @NotNull Icon Folder = load("nodes/folder.svg", 7796752220391063365L, 0);
    /** 16x16 */ public static final @NotNull Icon Function = load("nodes/function.svg", -2584123662433740226L, 0);
    /** 16x16 */ public static final @NotNull Icon Gvariable = load("nodes/gvariable.svg", 6302274077516433232L, 0);
    /** 16x16 */ public static final @NotNull Icon HomeFolder = load("nodes/homeFolder.svg", 1734276977730934118L, 2);
    /** 16x16 */ public static final @NotNull Icon IdeaModule = load("nodes/ideaModule.svg", -2363657898433701068L, 0);
    /** 16x16 */ public static final @NotNull Icon IdeaProject = load("nodes/ideaProject.svg", 5239060908877627348L, 0);
    /** 16x16 */ public static final @NotNull Icon Include = load("nodes/include.svg", -67709217884992232L, 0);
    /** 16x16 */ public static final @NotNull Icon InspectionResults = load("nodes/inspectionResults.svg", 5980271649451715588L, 0);
    /** 16x16 */ public static final @NotNull Icon Interface = load("nodes/interface.svg", -7203952414743294264L, 1);
    /** 16x16 */ public static final @NotNull Icon J2eeParameter = load("nodes/j2eeParameter.svg", -5012032738159843875L, 0);
    /** 16x16 */ public static final @NotNull Icon JarDirectory = load("nodes/jarDirectory.svg", 8338586503405394807L, 0);
    /** 16x16 */ public static final @NotNull Icon JavaDocFolder = load("nodes/javaDocFolder.svg", -8657080578711719348L, 0);
    /** 16x16 */ public static final @NotNull Icon JavaModule = load("nodes/javaModule.svg", 168029020281528693L, 0);

    public static final class Jsf {
      /** 16x16 */ public static final @NotNull Icon Renderer = load("nodes/jsf/renderer.svg", 3752490459235232224L, 0);
    }

    /** 16x16 */ public static final @NotNull Icon JunitTestMark = load("nodes/junitTestMark.svg", 683967531671308212L, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapAnt = load("nodes/keymapAnt.svg", 232962530469698821L, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapEditor = load("nodes/keymapEditor.svg", 571692332595977583L, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapMainMenu = load("nodes/keymapMainMenu.svg", 5573501315910355692L, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapOther = load("nodes/keymapOther.svg", 3745728774849624781L, 0);
    /** 16x16 */ public static final @NotNull Icon KeymapTools = load("nodes/keymapTools.svg", -1193571881056973000L, 0);
    /** 16x16 */ public static final @NotNull Icon Lambda = load("nodes/lambda.svg", -3076700584827775845L, 0);
    /** 16x16 */ public static final @NotNull Icon Locked = load("nodes/locked.svg", -4434718147296828645L, 0);
    /** 16x16 */ public static final @NotNull Icon LogFolder = load("nodes/logFolder.svg", -474358060962645713L, 2);
    /** 16x16 */ public static final @NotNull Icon Method = load("nodes/method.svg", -2359684570947621511L, 1);
    /** 16x16 */ public static final @NotNull Icon MethodReference = load("nodes/methodReference.svg", 4896466876089021965L, 1);
    /** 16x16 */ public static final @NotNull Icon ModelClass = load("nodes/modelClass.svg", 2875433101434572052L, 0);
    /** 16x16 */ public static final @NotNull Icon Models = load("nodes/models.svg", 1596054606826066718L, 0);
    /** 16x16 */ public static final @NotNull Icon Module = load("nodes/Module.svg", 8183257794918086911L, 0);
    /** 16x16 */ public static final @NotNull Icon ModuleGroup = load("nodes/moduleGroup.svg", -422975086958840646L, 0);
    /** 16x16 */ public static final @NotNull Icon MultipleTypeDefinitions = load("nodes/multipleTypeDefinitions.svg", -7241396015849442519L, 0);
    /** 16x16 */ public static final @NotNull Icon NativeLibrariesFolder = load("nodes/nativeLibrariesFolder.svg", 2337104326090047098L, 0);
    /** 16x16 */ public static final @NotNull Icon NewParameter = load("nodes/newParameter.svg", -4720348786638869764L, 0);
    /** 16x16 */ public static final @NotNull Icon NodePlaceholder = load("nodes/nodePlaceholder.svg", 3211845910164687454L, 0);
    /** 16x16 */ public static final @NotNull Icon NotFavoriteOnHover = load("nodes/notFavoriteOnHover.svg", -8568717717620844433L, 0);
    /** 16x16 */ public static final @NotNull Icon ObjectTypeAttribute = load("nodes/objectTypeAttribute.svg", 3113850935532093898L, 0);
    /** 16x16 */ public static final @NotNull Icon Package = load("nodes/package.svg", -3722395824771446480L, 0);
    /** 16x16 */ public static final @NotNull Icon PackageLocal = load("nodes/packageLocal.svg", -8504015165500530388L, 0);
    /** 16x16 */ public static final @NotNull Icon Padlock = load("nodes/padlock.svg", 1561182834404609727L, 0);
    /** 16x16 */ public static final @NotNull Icon Parameter = load("nodes/parameter.svg", -5325092302063820126L, 0);
    /** 16x16 */ public static final @NotNull Icon Plugin = load("nodes/plugin.svg", 6597700428918345343L, 0);
    /** 16x16 */ public static final @NotNull Icon PluginJB = load("nodes/pluginJB.svg", 1340192397536516986L, 0);
    /** 32x32 */ public static final @NotNull Icon PluginLogo = load("nodes/pluginLogo.svg", -8887993163814442083L, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginnotinstalled = load("nodes/pluginnotinstalled.svg", -3898115050362304817L, 0);
    /** 16x16 */ public static final @NotNull Icon Pluginobsolete = load("nodes/pluginobsolete.svg", -1984345175707978969L, 0);
    /** 16x16 */ public static final @NotNull Icon PluginRestart = load("nodes/pluginRestart.svg", -1019519930808067545L, 0);
    /** 16x16 */ public static final @NotNull Icon PpInvalid = load("nodes/ppInvalid.svg", 5920894463075712399L, 0);
    /** 16x16 */ public static final @NotNull Icon PpJar = load("nodes/ppJar.svg", -8465610184724256396L, 0);
    /** 16x16 */ public static final @NotNull Icon PpJdk = load("nodes/ppJdk.svg", -4119692495772510326L, 0);
    /** 16x16 */ public static final @NotNull Icon PpLib = load("nodes/ppLib.svg", -1728524175674971973L, 0);
    /** 16x16 */ public static final @NotNull Icon PpLibFolder = load("nodes/ppLibFolder.svg", -2300975326609844330L, 0);
    /** 16x16 */ public static final @NotNull Icon PpWeb = load("nodes/ppWeb.svg", -5038013880588459190L, 0);
    /** 16x16 */ public static final @NotNull Icon Private = load("nodes/private.svg", -6189570168316688943L, 0);
    /** 16x16 */ public static final @NotNull Icon ProcessMark = load("nodes/processMark.svg", -4746818316044543228L, 2);
    /** 16x16 */ public static final @NotNull Icon Project = load("nodes/project.svg", -7182855792017192352L, 0);
    /** 16x16 */ public static final @NotNull Icon Property = load("nodes/property.svg", -19867841448286404L, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyRead = load("nodes/propertyRead.svg", 207021700432514055L, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadStatic = load("nodes/propertyReadStatic.svg", 5354720983612187547L, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWrite = load("nodes/propertyReadWrite.svg", -3048939509718989530L, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyReadWriteStatic = load("nodes/propertyReadWriteStatic.svg", 9155455555218735448L, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWrite = load("nodes/propertyWrite.svg", 2667207958061682209L, 0);
    /** 16x16 */ public static final @NotNull Icon PropertyWriteStatic = load("nodes/propertyWriteStatic.svg", -7206987369997514452L, 0);
    /** 16x16 */ public static final @NotNull Icon Protected = load("nodes/protected.svg", 591539789973227207L, 0);
    /** 16x16 */ public static final @NotNull Icon Public = load("nodes/public.svg", 4399680738604765929L, 0);
    /** 16x16 */ public static final @NotNull Icon ReadAccess = load("nodes/read-access.svg", -464404241505393213L, 0);
    /** 16x16 */ public static final @NotNull Icon Record = load("nodes/record.svg", 1025520138651972031L, 0);
    /** 16x16 */ public static final @NotNull Icon Related = load("nodes/related.svg", -5489704551877120104L, 0);
    /** 16x16 */ public static final @NotNull Icon ResourceBundle = load("nodes/resourceBundle.svg", 621880858899101464L, 0);
    /** 16x16 */ public static final @NotNull Icon RunnableMark = load("nodes/runnableMark.svg", -2601825794877622969L, 0);
    /** 16x16 */ public static final @NotNull Icon RwAccess = load("nodes/rw-access.svg", 8818188491374306539L, 0);
    /** 16x16 */ public static final @Deprecated @NotNull Icon Rw_access = RwAccess;
    /** 16x16 */ public static final @NotNull Icon SecurityRole = load("nodes/securityRole.svg", 5082337008998625713L, 0);
    /** 16x16 */ public static final @NotNull Icon Services = load("nodes/services.svg", 8097211861669917624L, 0);
    /** 16x16 */ public static final @NotNull Icon Servlet = load("nodes/servlet.svg", -6128611108168249665L, 0);
    /** 16x16 */ public static final @NotNull Icon Shared = load("nodes/shared.svg", -7063885122602748787L, 0);
    /** 16x16 */ public static final @NotNull Icon SortBySeverity = load("nodes/sortBySeverity.svg", -8804133536678760239L, 2);
    /** 16x16 */ public static final @NotNull Icon Static = load("nodes/static.svg", 5710782259632224378L, 0);
    /** 16x16 */ public static final @NotNull Icon StaticMark = load("nodes/staticMark.svg", -4583498960949634990L, 0);
    /** 16x16 */ public static final @NotNull Icon Symlink = load("nodes/symlink.svg", -8231209217163246962L, 0);
    /** 16x16 */ public static final @NotNull Icon TabAlert = load("nodes/tabAlert.svg", 8707353470991037329L, 0);
    /** 16x16 */ public static final @NotNull Icon TabPin = load("nodes/tabPin.svg", -8793940827139014762L, 0);
    /** 16x16 */ public static final @NotNull Icon Tag = load("nodes/tag.svg", 5038430764463416373L, 0);
    /** 16x16 */ public static final @NotNull Icon Target = load("nodes/target.svg", -8244754026045641436L, 0);
    /** 16x16 */ public static final @NotNull Icon Test = load("nodes/test.svg", 7408102464483734600L, 0);
    /** 16x16 */ public static final @NotNull Icon TestGroup = load("nodes/testGroup.svg", -5932419956093628155L, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("nodes/testIgnored.svg", -8342046680974698856L, 0);
    /** 16x16 */ public static final @NotNull Icon TestSourceFolder = load("nodes/testSourceFolder.svg", 2809204315493725094L, 0);
    /** 16x16 */ public static final @NotNull Icon Toolbox = load("nodes/toolbox.svg", 8776095398356874526L, 0);
    /** 16x16 */ public static final @NotNull Icon Type = load("nodes/type.svg", -2489299090719089287L, 0);
    /** 16x16 */ public static final @NotNull Icon Undeploy = load("nodes/undeploy.svg", -625688506121771555L, 0);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("nodes/unknown.svg", 3565296197189247191L, 0);
    /** 16x16 */ public static final @NotNull Icon UnknownJdk = load("nodes/unknownJdk.svg", 1822257674691556768L, 0);
    /** 16x16 */ public static final @NotNull Icon UpFolder = load("nodes/upFolder.svg", -4621231133767392442L, 0);
    /** 16x16 */ public static final @NotNull Icon UpLevel = load("nodes/upLevel.svg", -195249020547770831L, 0);
    /** 16x16 */ public static final @NotNull Icon Variable = load("nodes/variable.svg", -4849760998951374962L, 0);
    /** 16x16 */ public static final @NotNull Icon WarningIntroduction = load("nodes/warningIntroduction.svg", 1029055451066776379L, 1);
    /** 16x16 */ public static final @NotNull Icon WarningMark = load("nodes/warningMark.svg", 4627665105315340846L, 2);
    /** 16x16 */ public static final @NotNull Icon WebFolder = load("nodes/webFolder.svg", 2222154280104242723L, 0);
    /** 16x16 */ public static final @NotNull Icon Weblistener = load("nodes/weblistener.svg", -7166837522849889039L, 0);
    /** 16x16 */ public static final @NotNull Icon WriteAccess = load("nodes/write-access.svg", 5767645715036234832L, 0);
  }

  public static final class ObjectBrowser {
    /** 16x16 */ public static final @NotNull Icon AbbreviatePackageNames = load("objectBrowser/abbreviatePackageNames.svg", 6235983949204914382L, 2);
    /** 16x16 */ public static final @NotNull Icon CompactEmptyPackages = load("objectBrowser/compactEmptyPackages.svg", 5972804226750566275L, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenModules = load("objectBrowser/flattenModules.svg", -2363796608613987396L, 2);
    /** 16x16 */ public static final @NotNull Icon FlattenPackages = load("objectBrowser/flattenPackages.svg", 9015815199599765587L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowLibraryContents = load("objectBrowser/showLibraryContents.svg", -4059236048220321443L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowMembers = load("objectBrowser/showMembers.svg", -4239553707139404843L, 0);
    /** 16x16 */ public static final @NotNull Icon SortByType = load("objectBrowser/sortByType.svg", -664331298919309052L, 2);
    /** 16x16 */ public static final @NotNull Icon Sorted = load("objectBrowser/sorted.svg", -6742957777367654654L, 2);
    /** 16x16 */ public static final @NotNull Icon SortedByUsage = load("objectBrowser/sortedByUsage.svg", -8978075170109811394L, 2);
    /** 16x16 */ public static final @NotNull Icon VisibilitySort = load("objectBrowser/visibilitySort.svg", -2906695966086299317L, 2);
  }

  public static final class Plugins {
    /** 16x16 */ public static final @NotNull Icon Disabled = load("plugins/disabled.svg", 4977184428788430777L, 0);
    /** 12x12 */ public static final @NotNull Icon Downloads = load("plugins/downloads.svg", 2637281129382101624L, 2);
    /** 15x15 */ public static final @NotNull Icon ModifierInvalid = load("plugins/modifierInvalid.svg", -6514309983913019345L, 2);
    /** 40x40 */ public static final @NotNull Icon PluginLogo = load("plugins/pluginLogo.svg", 3705168400611002730L, 0);
    /** 40x40 */ public static final @NotNull Icon PluginLogoDisabled = load("plugins/pluginLogoDisabled.svg", -2976731988220103L, 0);
    /** 12x12 */ public static final @NotNull Icon Rating = load("plugins/rating.svg", -845853376667541971L, 2);
    /** 12x12 */ public static final @NotNull Icon Updated = load("plugins/updated.svg", -838048548684171177L, 2);
  }

  public static final class Process {
    public static final class Big {
      /** 32x32 */ public static final @NotNull Icon Step_1 = load("process/big/step_1.svg", -1811455369296786627L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_2 = load("process/big/step_2.svg", -6993020253701347437L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_3 = load("process/big/step_3.svg", 1901494221086598159L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_4 = load("process/big/step_4.svg", 8187416580403091330L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_5 = load("process/big/step_5.svg", 3061968999057184015L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_6 = load("process/big/step_6.svg", 6300111894772604887L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_7 = load("process/big/step_7.svg", -5514578691660203618L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_8 = load("process/big/step_8.svg", 5183632199403169642L, 0);
      /** 32x32 */ public static final @NotNull Icon Step_passive = load("process/big/step_passive.svg", 18053473966466610L, 0);
    }

    public static final class FS {
      /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/fs/step_1.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_10 = load("process/fs/step_10.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_11 = load("process/fs/step_11.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_12 = load("process/fs/step_12.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_13 = load("process/fs/step_13.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_14 = load("process/fs/step_14.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_15 = load("process/fs/step_15.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_16 = load("process/fs/step_16.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_17 = load("process/fs/step_17.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_18 = load("process/fs/step_18.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/fs/step_2.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/fs/step_3.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/fs/step_4.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/fs/step_5.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/fs/step_6.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/fs/step_7.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/fs/step_8.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_9 = load("process/fs/step_9.png", 0L, 7);
      /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/fs/step_mask.png", 0L, 1);
      /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/fs/step_passive.png", 0L, 7);
    }

    /** 14x14 */ public static final @NotNull Icon ProgressPause = load("process/progressPause.svg", -4353483956743461563L, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressPauseHover = load("process/progressPauseHover.svg", 2380377648187729025L, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmall = load("process/progressPauseSmall.svg", -1963371554124466804L, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressPauseSmallHover = load("process/progressPauseSmallHover.svg", -2442466048136288070L, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResume = load("process/progressResume.svg", -5469343882110779045L, 0);
    /** 14x14 */ public static final @NotNull Icon ProgressResumeHover = load("process/progressResumeHover.svg", -4798769937614515603L, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmall = load("process/progressResumeSmall.svg", -3411677674437613115L, 0);
    /** 12x12 */ public static final @NotNull Icon ProgressResumeSmallHover = load("process/progressResumeSmallHover.svg", 364747921931412762L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_1 = load("process/step_1.svg", -375970598531630576L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_2 = load("process/step_2.svg", -8892782382251802800L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_3 = load("process/step_3.svg", -4719930492190030868L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_4 = load("process/step_4.svg", 438830543159906426L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_5 = load("process/step_5.svg", -8245659664634269832L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_6 = load("process/step_6.svg", 2209308997159090295L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_7 = load("process/step_7.svg", -4498957787487094875L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_8 = load("process/step_8.svg", -3164299717024491276L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_mask = load("process/step_mask.svg", 8351628557018508432L, 0);
    /** 16x16 */ public static final @NotNull Icon Step_passive = load("process/step_passive.svg", -5965692350767182037L, 0);
    /** 14x14 */ public static final @NotNull Icon Stop = load("process/stop.svg", -5152538415170081560L, 0);
    /** 14x14 */ public static final @NotNull Icon StopHovered = load("process/stopHovered.svg", 2425796848083934086L, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmall = load("process/stopSmall.svg", -5581740712216756706L, 0);
    /** 12x12 */ public static final @NotNull Icon StopSmallHovered = load("process/stopSmallHovered.svg", -2987187941757533195L, 0);
  }

  public static final class Providers {
    /** 16x16 */ public static final @NotNull Icon Apache = load("providers/apache.svg", -5934225321775094516L, 2);
    /** 16x16 */ public static final @NotNull Icon ApacheDerby = load("providers/apacheDerby.svg", -7079921244068107461L, 2);
    /** 16x16 */ public static final @NotNull Icon ApachePhoenix = load("providers/apachePhoenix.svg", 287384834647316938L, 0);
    /** 16x16 */ public static final @NotNull Icon Athena = load("providers/athena.svg", -3010672165063217069L, 0);
    /** 16x16 */ public static final @NotNull Icon Azure = load("providers/azure.svg", -4108322146501572749L, 0);
    /** 16x16 */ public static final @NotNull Icon BigQuery = load("providers/bigQuery.svg", -1485203038192915431L, 0);
    /** 16x16 */ public static final @NotNull Icon Cassandra = load("providers/cassandra.svg", -7281058075200040514L, 2);
    /** 16x16 */ public static final @NotNull Icon ClickHouse = load("providers/clickHouse.svg", 1647149862900553939L, 0);
    /** 16x16 */ public static final @NotNull Icon CockroachDB = load("providers/cockroachDB.svg", -8622465395810973373L, 0);
    /** 16x16 */ public static final @NotNull Icon Couchbase = load("providers/couchbase.svg", 2362485358505666920L, 0);
    /** 16x16 */ public static final @NotNull Icon DB2 = load("providers/DB2.svg", 6413560575348587225L, 2);
    /** 16x16 */ public static final @NotNull Icon Eclipse = load("providers/eclipse.svg", 8001776984939118232L, 2);
    /** 16x16 */ public static final @NotNull Icon Elasticsearch = load("providers/elasticsearch.svg", 3950577951814466348L, 0);
    /** 16x16 */ public static final @NotNull Icon Exasol = load("providers/exasol.svg", -1472668320766890121L, 2);
    /** 16x16 */ public static final @NotNull Icon Firebird = load("providers/firebird.svg", -1150242811120149019L, 0);
    /** 16x16 */ public static final @NotNull Icon GoogleCloudSpanner = load("providers/googleCloudSpanner.svg", -3323630209325162171L, 0);
    /** 16x16 */ public static final @NotNull Icon Greenplum = load("providers/greenplum.svg", 2114952280079692584L, 0);
    /** 16x16 */ public static final @NotNull Icon H2 = load("providers/h2.svg", 6942065945738417775L, 2);
    /** 16x16 */ public static final @NotNull Icon HANA = load("providers/HANA.svg", -4405317222219393929L, 0);
    /** 16x16 */ public static final @NotNull Icon Hive = load("providers/hive.svg", 4145120119652405940L, 2);
    /** 16x16 */ public static final @NotNull Icon Hsqldb = load("providers/hsqldb.svg", -517631853275388229L, 0);
    /** 16x16 */ public static final @NotNull Icon Ibm = load("providers/ibm.svg", 8643999117649454663L, 2);
    /** 16x16 */ public static final @NotNull Icon Impala = load("providers/impala.svg", 7023351534974100583L, 2);
    /** 16x16 */ public static final @NotNull Icon Informix = load("providers/informix.svg", -8615543225570285214L, 0);
    /** 16x16 */ public static final @NotNull Icon IntersystemCache = load("providers/intersystemCache.svg", 5464778334378267767L, 2);
    /** 16x16 */ public static final @NotNull Icon Mariadb = load("providers/mariadb.svg", 3897094340920354305L, 2);
    /** 16x16 */ public static final @NotNull Icon Microsoft = load("providers/microsoft.svg", -5340043463794251127L, 0);
    /** 16x16 */ public static final @NotNull Icon MongoDB = load("providers/mongoDB.svg", 6296755881258720059L, 0);
    /** 16x16 */ public static final @NotNull Icon Mysql = load("providers/mysql.svg", -7850712015561444588L, 2);
    /** 16x16 */ public static final @NotNull Icon Netezza = load("providers/netezza.svg", -753702870144654119L, 2);
    /** 16x16 */ public static final @NotNull Icon Openedge = load("providers/openedge.svg", -4234925129624821686L, 0);
    /** 16x16 */ public static final @NotNull Icon Oracle = load("providers/oracle.svg", 4943732813650556562L, 0);
    /** 16x16 */ public static final @NotNull Icon Postgresql = load("providers/postgresql.svg", 8942378240461502503L, 2);
    /** 16x16 */ public static final @NotNull Icon Presto = load("providers/presto.svg", 4677484317865724648L, 2);
    /** 16x16 */ public static final @NotNull Icon Redshift = load("providers/redshift.svg", -8161636076303129150L, 0);
    /** 16x16 */ public static final @NotNull Icon Singlestore = load("providers/singlestore.svg", -1596894298598251989L, 0);
    /** 16x16 */ public static final @NotNull Icon Snowflake = load("providers/snowflake.svg", -511196148296774621L, 0);
    /** 16x16 */ public static final @NotNull Icon Spark = load("providers/spark.svg", 529641334744352380L, 0);
    /** 16x16 */ public static final @NotNull Icon Sqlite = load("providers/sqlite.svg", -1354077436800259360L, 2);
    /** 16x16 */ public static final @NotNull Icon SqlServer = load("providers/sqlServer.svg", 2557052360809110194L, 2);
    /** 16x16 */ public static final @NotNull Icon Sun = load("providers/sun.svg", 901999003933198963L, 2);
    /** 16x16 */ public static final @NotNull Icon Sybase = load("providers/sybase.svg", 469976759404647468L, 0);
    /** 16x16 */ public static final @NotNull Icon Tarantool = load("providers/tarantool.svg", 1397980433223516839L, 0);
    /** 16x16 */ public static final @NotNull Icon Teradata = load("providers/teradata.svg", -1965526284412460845L, 0);
    /** 16x16 */ public static final @NotNull Icon Tibero = load("providers/tibero.svg", 3743642978823178398L, 2);
    /** 16x16 */ public static final @NotNull Icon Trino = load("providers/trino.svg", 6102370661544681716L, 2);
    /** 16x16 */ public static final @NotNull Icon Vertica = load("providers/vertica.svg", -7134506734952828743L, 2);
  }

  public static final class RunConfigurations {
    /** 16x16 */ public static final @NotNull Icon Applet = load("runConfigurations/applet.svg", -4023916842917894197L, 0);
    /** 16x16 */ public static final @NotNull Icon Application = load("runConfigurations/application.svg", 7309058158162336667L, 0);
    /** 16x16 */ public static final @NotNull Icon Compound = load("runConfigurations/compound.svg", -5249317088853037969L, 0);
    /** 16x16 */ public static final @NotNull Icon HidePassed = load("runConfigurations/hidePassed.svg", 6813608554053575788L, 2);
    /** 16x16 */ public static final @NotNull Icon IgnoredTest = load("runConfigurations/ignoredTest.svg", 3086686129218513433L, 2);
    /** 16x16 */ public static final @NotNull Icon InvalidConfigurationLayer = load("runConfigurations/invalidConfigurationLayer.svg", 8212125558139733159L, 0);
    /** 16x16 */ public static final @NotNull Icon Junit = load("runConfigurations/junit.svg", -616660979055290753L, 0);
    /** 16x16 */ public static final @NotNull Icon Remote = load("runConfigurations/remote.svg", 4638465126495733986L, 2);
    /** 16x16 */ public static final @NotNull Icon RemoteDebug = load("runConfigurations/remoteDebug.svg", 1383426752171280490L, 2);
    /** 16x16 */ public static final @NotNull Icon RerunFailedTests = load("runConfigurations/rerunFailedTests.svg", 6932187602466978086L, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_down = load("runConfigurations/scroll_down.svg", 6413897893903135786L, 2);
    /** 16x16 */ public static final @NotNull Icon Scroll_up = load("runConfigurations/scroll_up.svg", -3897306454671326380L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowIgnored = load("runConfigurations/showIgnored.svg", -1625371427182384460L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowPassed = load("runConfigurations/showPassed.svg", -2045163736735153232L, 2);
    /** 16x16 */ public static final @NotNull Icon SortbyDuration = load("runConfigurations/sortbyDuration.svg", -3702126212819946540L, 2);
    /** 16x16 */ public static final @NotNull Icon TestCustom = load("runConfigurations/testCustom.svg", -7736538756351089092L, 0);
    /** 16x16 */ public static final @NotNull Icon TestError = load("runConfigurations/testError.svg", -4388933928056907927L, 0);
    /** 16x16 */ public static final @NotNull Icon TestFailed = load("runConfigurations/testFailed.svg", 4574009961968009561L, 0);
    /** 16x16 */ public static final @NotNull Icon TestIgnored = load("runConfigurations/testIgnored.svg", 6682967823487285741L, 0);
    /** 16x16 */ public static final @NotNull Icon TestMark = load("runConfigurations/testMark.svg", -728881308004144000L, 0);
    /** 16x16 */ public static final @NotNull Icon TestNotRan = load("runConfigurations/testNotRan.svg", -789681200569491786L, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassed = load("runConfigurations/testPassed.svg", 4972281493010263166L, 0);
    /** 16x16 */ public static final @NotNull Icon TestPassedIgnored = load("runConfigurations/testPassedIgnored.svg", -7745522802914287125L, 0);
    /** 16x16 */ public static final @NotNull Icon TestPaused = load("runConfigurations/testPaused.svg", -8061842625938002652L, 0);
    /** 16x16 */ public static final @NotNull Icon TestSkipped = load("runConfigurations/testSkipped.svg", -2545611639014657363L, 0);

    public static final class TestState {
      /** 12x12 */ public static final @NotNull Icon Green2 = load("runConfigurations/testState/green2.svg", 4214739081443645164L, 2);
      /** 12x12 */ public static final @NotNull Icon Red2 = load("runConfigurations/testState/red2.svg", 3611016691139983236L, 2);
      /** 12x12 */ public static final @NotNull Icon Run = load("runConfigurations/testState/run.svg", -446549151215219102L, 2);
      /** 12x12 */ public static final @NotNull Icon Run_run = load("runConfigurations/testState/run_run.svg", 1328105576592153437L, 2);
      /** 12x12 */ public static final @NotNull Icon Yellow2 = load("runConfigurations/testState/yellow2.svg", -4181869748576584831L, 2);
    }

    /** 16x16 */ public static final @NotNull Icon TestTerminated = load("runConfigurations/testTerminated.svg", 2009382694418001361L, 0);
    /** 16x16 */ public static final @NotNull Icon TestUnknown = load("runConfigurations/testUnknown.svg", 6988594589982572480L, 0);
    /** 16x16 */ public static final @NotNull Icon Tomcat = load("runConfigurations/tomcat.svg", 7093334756309298686L, 0);
    /** 16x16 */ public static final @NotNull Icon ToolbarError = load("runConfigurations/toolbarError.svg", -3749352866729542560L, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarFailed = load("runConfigurations/toolbarFailed.svg", -874526792780777932L, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarPassed = load("runConfigurations/toolbarPassed.svg", 518648235008907350L, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarSkipped = load("runConfigurations/toolbarSkipped.svg", 6648611940998946245L, 2);
    /** 16x16 */ public static final @NotNull Icon ToolbarTerminated = load("runConfigurations/toolbarTerminated.svg", 5346011850729997457L, 2);
    /** 16x16 */ public static final @NotNull Icon TrackCoverage = load("runConfigurations/trackCoverage.svg", -4319726662266340506L, 2);
    /** 16x16 */ public static final @NotNull Icon Web_app = load("runConfigurations/web_app.svg", -7996278848127006638L, 0);
    /** 16x16 */ public static final @NotNull Icon Wsl = load("runConfigurations/wsl.svg", 8063630219683898459L, 2);
  }

  public static final class Scope {
    /** 16x16 */ public static final @NotNull Icon ChangedFiles = load("scope/changedFiles.svg", -703054889872090128L, 0);
    /** 16x16 */ public static final @NotNull Icon ChangedFilesAll = load("scope/changedFilesAll.svg", 2254372087462607962L, 0);
    /** 16x16 */ public static final @NotNull Icon Problems = load("scope/problems.svg", 7934158424884593817L, 0);
    /** 16x16 */ public static final @NotNull Icon Production = load("scope/production.svg", 4569302476443056176L, 0);
    /** 16x16 */ public static final @NotNull Icon Scratches = load("scope/scratches.svg", 8693403763272951527L, 0);
    /** 16x16 */ public static final @NotNull Icon Tests = load("scope/tests.svg", 4286719884113316744L, 0);
  }

  public static final class Toolbar {
    /** 16x16 */ public static final @NotNull Icon AddSlot = load("toolbar/addSlot.svg", 1430731334104066802L, 2);
    /** 16x16 */ public static final @NotNull Icon Collapse = load("toolbar/collapse.svg", 4370618279390747985L, 2);
    /** 16x16 */ public static final @NotNull Icon Expand = load("toolbar/expand.svg", 3799213482484983345L, 2);
    /** 16x16 */ public static final @NotNull Icon Filterdups = load("toolbar/filterdups.svg", 7814856965942396406L, 2);
    /** 16x16 */ public static final @NotNull Icon Locale = load("toolbar/locale.svg", 862613589331642871L, 2);
    /** 16x16 */ public static final @NotNull Icon Pin = load("toolbar/pin.svg", -7623431009104566295L, 2);
    /** 16x16 */ public static final @NotNull Icon RemoveSlot = load("toolbar/removeSlot.svg", 2058042260352087724L, 2);
    /** 16x16 */ public static final @NotNull Icon Unknown = load("toolbar/unknown.svg", -2160657314019007998L, 2);
    /** 16x16 */ public static final @NotNull Icon Xcode = load("toolbar/Xcode.svg", -5040536929822919298L, 2);
  }

  public static final class ToolbarDecorator {
    /** 16x16 */ public static final @NotNull Icon AddBlankLine = load("toolbarDecorator/addBlankLine.svg", 4983681255030987085L, 2);
    /** 16x16 */ public static final @NotNull Icon AddClass = load("toolbarDecorator/addClass.svg", -840664698471304296L, 2);
    /** 16x16 */ public static final @NotNull Icon AddFolder = load("toolbarDecorator/addFolder.svg", 7752480444249825596L, 2);
    /** 16x16 */ public static final @NotNull Icon AddIcon = load("toolbarDecorator/addIcon.svg", 999554585551025405L, 2);
    /** 16x16 */ public static final @NotNull Icon AddJira = load("toolbarDecorator/addJira.svg", -3835430978180246182L, 2);
    /** 16x16 */ public static final @NotNull Icon AddLink = load("toolbarDecorator/addLink.svg", -3504573223364329615L, 2);
    /** 16x16 */ public static final @NotNull Icon AddPattern = load("toolbarDecorator/addPattern.svg", 3543679628676910253L, 2);
    /** 16x16 */ public static final @NotNull Icon AddRemoteDatasource = load("toolbarDecorator/addRemoteDatasource.svg", 4430662382504476782L, 2);
    /** 16x16 */ public static final @NotNull Icon AddYouTrack = load("toolbarDecorator/addYouTrack.svg", -5356481488761228360L, 2);
    /** 16x16 */ public static final @NotNull Icon Export = load("toolbarDecorator/export.svg", 2512940556331713355L, 2);
    /** 16x16 */ public static final @NotNull Icon Import = load("toolbarDecorator/import.svg", -7775661499824862083L, 2);
  }

  public static final class Toolwindows {
    /** 13x13 */ public static final @NotNull Icon Documentation = load("toolwindows/documentation.svg", -3412702153942692587L, 2);
    /** 13x13 */ public static final @NotNull Icon ErrorEvents = load("toolwindows/errorEvents.svg", -1146678817565759812L, 2);
    /** 13x13 */ public static final @NotNull Icon InfoEvents = load("toolwindows/infoEvents.svg", 7362079362733954038L, 2);
    /** 13x13 */ public static final @NotNull Icon NoEvents = load("toolwindows/noEvents.svg", 5097176169930710668L, 2);
    /** 13x13 */ public static final @NotNull Icon Problems = load("toolwindows/problems.svg", -3654404648954575086L, 2);
    /** 13x13 */ public static final @NotNull Icon ProblemsEmpty = load("toolwindows/problemsEmpty.svg", -4152233369359930308L, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOff = load("toolwindows/projectWideAnalysisOff.svg", -6863056163174444636L, 2);
    /** 16x16 */ public static final @NotNull Icon ProjectWideAnalysisOn = load("toolwindows/projectWideAnalysisOn.svg", 4864149562935994868L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnalyzeDataflow = load("toolwindows/toolWindowAnalyzeDataflow.svg", 1296641742748522434L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowAnt = load("toolwindows/toolWindowAnt.svg", -8044985201571763562L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowBuild = load("toolwindows/toolWindowBuild.svg", -5921532073527085775L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowChanges = load("toolwindows/toolWindowChanges.svg", -7043388422082560811L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommander = load("toolwindows/toolWindowCommander.svg", 2026695722773005232L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCommit = load("toolwindows/toolWindowCommit.svg", -9087996027653462829L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowCoverage = load("toolwindows/toolWindowCoverage.svg", -6779027609579345964L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowDebugger = load("toolwindows/toolWindowDebugger.svg", 3915997741618347233L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFavorites = load("toolwindows/toolWindowFavorites.svg", -6423033983854809121L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowFind = load("toolwindows/toolWindowFind.svg", 8117820845391043965L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowHierarchy = load("toolwindows/toolWindowHierarchy.svg", -1630620987984328974L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowInspection = load("toolwindows/toolWindowInspection.svg", -3490467304681678507L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowJsonPath = load("toolwindows/toolWindowJsonPath.svg", 5006482621081927567L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowMessages = load("toolwindows/toolWindowMessages.svg", 3505071414123220059L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowModuleDependencies = load("toolwindows/toolWindowModuleDependencies.svg", 2071155462201829367L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowPalette = load("toolwindows/toolWindowPalette.svg", -8752992420128727224L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblems = load("toolwindows/toolWindowProblems.svg", 3428388164993352850L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProblemsEmpty = load("toolwindows/toolWindowProblemsEmpty.svg", -7160118180016542193L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProfiler = load("toolwindows/toolWindowProfiler.svg", 6214757416015309946L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowProject = load("toolwindows/toolWindowProject.svg", 601607728229023339L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowRun = load("toolwindows/toolWindowRun.svg", -7149071638620556713L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowServices = load("toolwindows/toolWindowServices.svg", -6068917128948501454L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowStructure = load("toolwindows/toolWindowStructure.svg", 6461485639959773686L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowTodo = load("toolwindows/toolWindowTodo.svg", 132461609209426642L, 2);
    /** 13x13 */ public static final @NotNull Icon ToolWindowUIDesigner = load("toolwindows/toolWindowUIDesigner.svg", -231732240444643583L, 2);
    /** 13x13 */ public static final @NotNull Icon WarningEvents = load("toolwindows/warningEvents.svg", -9027967938972213655L, 2);
    /** 13x13 */ public static final @NotNull Icon WebToolWindow = load("toolwindows/webToolWindow.svg", 5900814046746074303L, 2);
  }

  public static final class Vcs {
    /** 16x16 */ public static final @NotNull Icon Arrow_left = load("vcs/arrow_left.svg", 1017333724352847150L, 2);
    /** 16x16 */ public static final @NotNull Icon Arrow_right = load("vcs/arrow_right.svg", -2429994767337567621L, 2);
    /** 16x16 */ public static final @NotNull Icon Branch = load("vcs/branch.svg", -3485059698694640189L, 2);
    /** 16x16 */ public static final @NotNull Icon BranchNode = load("vcs/branchNode.svg", 3104359452876188913L, 0);
    /** 16x16 */ public static final @NotNull Icon Changelist = load("vcs/changelist.svg", -4687462271341097363L, 2);
    /** 16x16 */ public static final @NotNull Icon Clone = load("vcs/clone.svg", 5159963229729065320L, 2);
    /** 16x16 */ public static final @NotNull Icon CommitNode = load("vcs/commitNode.svg", 7473646165034683230L, 0);
    /** 16x16 */ public static final @NotNull Icon Equal = load("vcs/equal.svg", 554267281159207045L, 2);
    /** 16x16 */ public static final @NotNull Icon Fetch = load("vcs/fetch.svg", -5192473457441368632L, 2);
    /** 16x16 */ public static final @NotNull Icon Folders = load("vcs/folders.svg", -2010737078434743827L, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSDialog = load("vcs/fromVCSDialog.svg", 4848084102650582083L, 2);
    /** 16x16 */ public static final @NotNull Icon History = load("vcs/history.svg", 2421750319646182259L, 2);
    /** 16x16 */ public static final @NotNull Icon HistoryInline = load("vcs/historyInline.svg", -5058905681609468997L, 0);
    /** 16x16 */ public static final @NotNull Icon HistoryInlineHovered = load("vcs/historyInlineHovered.svg", -880284840811895233L, 0);
    /** 16x16 */ public static final @NotNull Icon Ignore_file = load("vcs/ignore_file.svg", -1721443615624741030L, 2);
    /** 16x16 */ public static final @NotNull Icon Merge = load("vcs/merge.svg", -8821655704220166583L, 2);
    /** 16x16 */ public static final @NotNull Icon Not_equal = load("vcs/not_equal.svg", -2085765553494107132L, 2);
    /** 16x16 */ public static final @NotNull Icon Patch = load("vcs/patch.svg", 4778168066985881396L, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_applied = load("vcs/patch_applied.svg", -8021224960010333469L, 2);
    /** 16x16 */ public static final @NotNull Icon Patch_file = load("vcs/patch_file.svg", 6186692122755614791L, 0);
    /** 16x16 */ public static final @NotNull Icon Push = load("vcs/push.svg", -8472050689765081981L, 2);
    /** 16x16 */ public static final @NotNull Icon Remove = load("vcs/remove.svg", -2446400980414733976L, 2);
    /** 16x16 */ public static final @NotNull Icon Shelve = load("vcs/Shelve.svg", -3995759567539262975L, 2);
    /** 16x16 */ public static final @NotNull Icon ShelveSilent = load("vcs/shelveSilent.svg", 5066710981626543209L, 2);
    /** 16x16 */ public static final @NotNull Icon ShowUnversionedFiles = load("vcs/ShowUnversionedFiles.svg", 3566243432493367822L, 2);
    /** 16x16 */ public static final @NotNull Icon Unshelve = load("vcs/Unshelve.svg", 2296488611918972235L, 2);
    /** 16x16 */ public static final @NotNull Icon UnshelveSilent = load("vcs/unshelveSilent.svg", 3332433662061102058L, 2);

    public static final class Vendors {
      /** 16x16 */ public static final @NotNull Icon Github = load("vcs/vendors/github.svg", 7871146368373865463L, 2);
    }
  }

  public static final class Webreferences {
    /** 16x16 */ public static final @NotNull Icon MessageQueue = load("webreferences/messageQueue.svg", 4858523362113307590L, 0);
    /** 16x16 */ public static final @NotNull Icon Server = load("webreferences/server.svg", -4608414663800241876L, 2);
    /** 16x16 */ public static final @NotNull Icon WebSocket = load("webreferences/webSocket.svg", 2869387870711297505L, 0);
  }

  public static final class Welcome {
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTab = load("welcome/createNewProjectTab.svg", 6716915079069410412L, 2);
    /** 24x24 */ public static final @NotNull Icon CreateNewProjectTabSelected = load("welcome/createNewProjectTabSelected.svg", -7234092316430004574L, 0);
    /** 24x24 */ public static final @NotNull Icon FromVCSTab = load("welcome/fromVCSTab.svg", -4097842248897747621L, 2);
    /** 24x24 */ public static final @NotNull Icon FromVCSTabSelected = load("welcome/fromVCSTabSelected.svg", 4494708915413022689L, 0);
    /** 24x24 */ public static final @NotNull Icon Open = load("welcome/open.svg", -5639824288660914779L, 2);
    /** 24x24 */ public static final @NotNull Icon OpenSelected = load("welcome/openSelected.svg", 4240784511932763031L, 0);

    public static final class Project {
      /** 10x10 */ public static final @NotNull Icon RemoveHover = load("welcome/project/remove-hover.svg", 4725456980789117899L, 2);
      /** 10x10 */ public static final @NotNull Icon Remove = load("welcome/project/remove.svg", 5455527884258934979L, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabledHover = load("welcome/project/removeDisabled-hover.svg", 442772408400580469L, 2);
      /** 10x10 */ public static final @NotNull Icon RemoveDisabled = load("welcome/project/removeDisabled.svg", -4613803225159774873L, 2);
    }

    /** @deprecated to be removed in IDEA 2021.1 */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2021.1")
    public static final @NotNull Icon CreateNewProject = load("welcome/createNewProject.svg", 0L, 0);
  }

  public static final class Windows {
    /** 16x16 */ public static final @NotNull Icon CloseActive = load("windows/closeActive.svg", -7573105426948936634L, 2);
    /** 16x16 */ public static final @NotNull Icon CloseHover = load("windows/closeHover.svg", 5368481964095468433L, 0);
    /** 16x16 */ public static final @NotNull Icon CloseInactive = load("windows/closeInactive.svg", 1641010475706014779L, 2);
    /** 16x16 */ public static final @NotNull Icon CloseSmall = load("windows/closeSmall.svg", -5455364782086736983L, 2);
    /** 16x16 */ public static final @NotNull Icon Help = load("windows/help.svg", 7637230959736796553L, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButton = load("windows/helpButton.svg", 908049922067026390L, 2);
    /** 16x16 */ public static final @NotNull Icon HelpButtonInactive = load("windows/helpButtonInactive.svg", 2465727131616520500L, 2);
    /** 16x16 */ public static final @NotNull Icon HelpInactive = load("windows/helpInactive.svg", -7660078692138600898L, 2);
    /** 16x16 */ public static final @NotNull Icon Maximize = load("windows/maximize.svg", 7190226728837342638L, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeInactive = load("windows/maximizeInactive.svg", 8743473144503507261L, 2);
    /** 16x16 */ public static final @NotNull Icon MaximizeSmall = load("windows/maximizeSmall.svg", -1975523782246355374L, 2);
    /** 16x16 */ public static final @NotNull Icon Minimize = load("windows/minimize.svg", 5655280526185885843L, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeInactive = load("windows/minimizeInactive.svg", -612274907022961305L, 2);
    /** 16x16 */ public static final @NotNull Icon MinimizeSmall = load("windows/minimizeSmall.svg", 991053839065625829L, 2);
    /** 16x16 */ public static final @NotNull Icon Restore = load("windows/restore.svg", 3162613531825536448L, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreInactive = load("windows/restoreInactive.svg", -5417793812386168179L, 2);
    /** 16x16 */ public static final @NotNull Icon RestoreSmall = load("windows/restoreSmall.svg", -6082681270479978362L, 2);
  }

  public static final class Xml {
    public static final class Browsers {
      /** 16x16 */ public static final @NotNull Icon Canary = load("xml/browsers/canary.svg", 7617088526970040530L, 0);
      /** 16x16 */ public static final @NotNull Icon Chrome = load("xml/browsers/chrome.svg", 952709550623130950L, 0);
      /** 16x16 */ public static final @NotNull Icon Chromium = load("xml/browsers/chromium.svg", -7081442337296232892L, 0);
      /** 16x16 */ public static final @NotNull Icon Edge = load("xml/browsers/edge.svg", 4874271553205110419L, 0);
      /** 16x16 */ public static final @NotNull Icon Explorer = load("xml/browsers/explorer.svg", -4372873914323702410L, 0);
      /** 16x16 */ public static final @NotNull Icon Firefox = load("xml/browsers/firefox.svg", 4341403554532214734L, 0);
      /** 16x16 */ public static final @NotNull Icon FirefoxDeveloper = load("xml/browsers/firefoxDeveloper.svg", 108432636050637848L, 0);
      /** 16x16 */ public static final @NotNull Icon Nwjs = load("xml/browsers/nwjs.svg", 1516966057897524993L, 0);
      /** 16x16 */ public static final @NotNull Icon Opera = load("xml/browsers/opera.svg", 5091184097709676906L, 0);
      /** 16x16 */ public static final @NotNull Icon Safari = load("xml/browsers/safari.svg", 4960499538926108019L, 0);
      /** 16x16 */ public static final @NotNull Icon Yandex = load("xml/browsers/yandex.svg", 7850811118871199617L, 0);

      /** @deprecated use {@link #Chrome} */
      @SuppressWarnings("unused")
      @Deprecated
      public static final @NotNull Icon Chrome16 = Chrome;
    }

    /** 16x16 */ public static final @NotNull Icon Css_class = load("xml/css_class.svg", 4164131072837190041L, 0);
    /** 16x16 */ public static final @NotNull Icon Html5 = load("xml/html5.svg", -965122865780144431L, 0);
    /** 16x16 */ public static final @NotNull Icon Html_id = load("xml/html_id.svg", -9056958306663804081L, 0);
  }

  /** @deprecated use ProductIcons.getInstance().getProductIcon() instead */
  @SuppressWarnings("unused")
  @Deprecated
  public static final @NotNull Icon Icon = load("icon.png", 0L, 0);
}
